﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ConfiguracionAuditoriaNocturna.aspx.cs" Inherits="Seven.Front.Settings.ConfiguracionAuditoriaNocturna" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("ConfiguracionAuditoriaNocturna") %></title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        var HeaderTableCA = <%=L.LBL("LblFDKSConfigAuditoria") %>;
        var HeaderTableFA = <%=L.LBL("LblFDKSFoliosAbiertos") %>;

        <% /* Código del jqGrid para Configuración General del Cierre */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetGEN() {
            $.ajax({
                url: 'Servicio.svc/GetConfigCierre',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $('#HidConfigCierre').html(json.d);
                    AsignarValoresGEN();
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutGEN() {
            $.ajax({
                url: 'Servicio.svc/PutConfigCierre',
                data: {
                    "id_tabl": 1, "dias_cierre": $('#dias_cierre').val(), "asto_automatico": $('input[name=asto_automatico]:checked').val()
                    , "integra_asiento": $('input[name=integra_asiento]:checked').val(), "prt_name": $('#prt_name').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res == 1) {
                        BotonDefaultGEN();
                        GetGEN();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function InitializeComponentsGEN() {
            $("#dias_cierre").on('input', function () { BotonGuardarGEN(); });
            $("#asto_automatico").on('click', function () { BotonGuardarGEN(); });
            $("#integra_asiento").on('click', function () { BotonGuardarGEN(); });
            $("#prt_name").on('input', function () { BotonGuardarGEN(); });
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveGEN() {
            PutGEN();
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelGEN() {
            AsignarValoresGEN();
            BotonDefaultGEN();
        }

        function BotonDefaultGEN() {
            $('#btnNuevoGEN').button('enable');
            $('#btnEliminarGEN').button('disable');
            $('#btnGuardarGEN').button('disable');
            $('#btnCancelarGEN').button('disable');
        }

        function BotonNuevoGEN() {
            $('#btnNuevoGEN').button('disable');
            $('#btnEliminarGEN').button('disable');
            $('#btnGuardarGEN').button('disable');
            $('#btnCancelarGEN').button('enable');
        }

        function BotonSelectGEN() {
            $('#btnNuevoGEN').button('enable');
            var id = $("#jqgGEN").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarGEN').button('enable');
            }
            else {
                $('#btnEliminarGEN').button('disable');
            }
            $('#btnGuardarGEN').button('disable');
            $('#btnCancelarGEN').button('disable');
        }

        function BotonGuardarGEN() {
            $('#btnNuevoGEN').button('disable');
            $('#btnEliminarGEN').button('disable');
            $('#btnGuardarGEN').button('enable');
            $('#btnCancelarGEN').button('enable');
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function ResetConfigAuditoria() {
            $.ajax({
                url: 'Servicio.svc/ResetConfigAuditoria',
                data: {
                      "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    var res = json.d;
                    if (res == 1) {
                        window.location.reload(true);
                    }
                    else {
                        $('#dlgCargando').dialog('close');
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
	        window.open('Informe.aspx?r=300&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        <% /* Código del jqGrid para Configuración de Procesos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetCA() {
            $.ajax({
                url: 'Servicio.svc/GetConfigAuditoria',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgCA").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgCA")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgCA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutCA(id, activa, desc_opc, orden_ejec, sistema, obligatoria, reporte, codigo_opc, imprime, copias, config_form, configuracion) {
            $.ajax({
                url: 'Servicio.svc/PutConfigAuditoria',
                data: { "id_zcfg": id, "activa": activa, "desc_opc": desc_opc, "orden_ejec": orden_ejec
                , "sistema": sistema, "obligatoria": obligatoria, "reporte": reporte
                , "codigo_opc": codigo_opc, "imprime": $('input[name=cbimprime]:checked').val(), "copias": $('#copias').val()
                , "config_form": config_form, "configuracion": configuracion, "command_line": $('#txtcommand_line').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(id > 0 || id < 0){
                            BotonDefaultCA();
                            RefreshGridCA();
                        }
                        else
                        {
                            $('#IdSubElement').val(res);
                            BotonDefaultCA();
                            RefreshGridCA();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelCA(id) {
            $.ajax({
                url: 'Servicio.svc/DelConfigAuditoria',
                data: { "id_zcfg": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement').val(0);
                        $('#TitSubElement').html('');

                        BotonDefaultCA();
                        RefreshGridCA();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridCA() {
        
            var lselCA;
            var colMap = {};
            $("#jqgCA").jqGrid({
                datatype: GetCA,
                height: 255,
                width: 700,
                colNames:  HeaderTableCA,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'activa', index: 'activa', width: 5, editable: true, search:false,formatter:'select', stype:'select', edittype:'select', editoptions: { value: "<%=Utils.jqGridYesNoCombo %>" } }, 
                            { name: 'desc_opc', index: 'desc_opc', width: 25, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'orden_ejec', index: 'orden_ejec', width: 10, editable: true, searchoptions:{sopt:ListFindN}, align: 'right' }, 
                            { name: 'sistema', index: 'sistema', width: 8, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'obligatoria', index: 'obligatoria', width: 10, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'reporte', index: 'reporte', width: 8, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'codigo_opc', index: 'codigo_opc', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'imprime', index: 'imprime', width: 10, editable: true, search:false, search:false, hidden: true }, 
                            { name: 'copias', index: 'copias', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'config_form', index: 'config_form', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'configuracion', index: 'configuracion', width: 10, editable: true, search:false, hidden: true },
                            { name: 'command_line', index: 'command_line', width: 10, editable: true, search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselCA) && !isNaN(id))
                        {
                            $("#jqgCA").jqGrid('delRowData', lselCA);
                            //$('#jqgCA').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgCA').jqGrid('restoreRow', lselCA);

                            var ret = jQuery("#jqgCA").jqGrid('getRowData',id); 

                            $('#IdSubElement').val(id);
                            $('#TitSubElement').html(ret.codigo_opc + " - " + ret.desc_opc);

                            $('#txtcommand_line').val(ret.command_line);

                            if(ret.imprime == "False")
                            {
                                $('#cbimprime').prop('checked', false);
                            }
                            else
                            {
                                $('#cbimprime').prop('checked', true);
                            }

                            if(ret.reporte == "False")
                            {
                                $('#btnConfig').button('disable');
                                $('#cbimprime').prop('disabled', true);
                                $('#copias').prop('disabled', true);
                            }
                            else
                            {
                                if(parseInt(ret.config_form) == 0)
                                {
                                    $('#btnConfig').button('disable');
                                }
                                else
                                {
                                    $('#btnConfig').button('enable');
                                }

                                if(ret.configuracion.length == 0)
                                {
                                    $('#btnConfig').css('color', 'black');
                                }
                                else
                                {
                                    $('#btnConfig').css('color', 'red');
                                }
                                
                                $('#IdConfigForm').val(ret.config_form);

                                $('#cbimprime').prop('disabled', false);
                                $('#copias').prop('disabled', false);
                            }

                            $('#copias').val(ret.copias);
                        }
                        else {
                            BotonNuevoCA();
                        }

                        $('#jqgCA').jqGrid('editRow', id, true, EventsCA);
                       
                        lselCA=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselCA))
                        {
                            $("#jqgCA").jqGrid('delRowData', lselCA);
                            $('#jqgCA').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgCA').jqGrid('saveRow',lselCA);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if (!isNaN(id)) {
                            $('#jqgCA').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgCA").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextCA').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconCA').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextCA').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconCA').attr("src", "img/cross-script.png");
                        }

                        $('#jqgCA').jqGrid('setSelection', id); 

                        BotonSelectCA();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgCA").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#jqgCA").getCell(rows[i], "Id"));
                        }

                        var status  = $("#jqgCA").getCell(rows[i],"Eli");
                        var reporte  = $("#jqgCA").getCell(rows[i],"reporte");
                        var activa  = $("#jqgCA").getCell(rows[i],"activa");
                        var sistema  = $("#jqgCA").getCell(rows[i],"sistema");

                        if(status == "True")
                        {
                            $("#jqgCA").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        if(reporte == "False")
                        {
                            $("#jqgCA").jqGrid('setRowData',rows[i],false,'sysRow');
                        }

                        if(activa == "False")
                        {
                            $("#jqgCA").jqGrid('setRowData',rows[i],false,
                            {color:'gray',font:'italic' });
                        }
                    }
                    $('#jqgCA').jqGrid('setSelection', $('#IdSubElement').val());
                    if(parseInt($('#IdSubElement').val()) != 0)
                    {
                        BotonSelectCA();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorCA',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataCA").click(function(){ 
                jQuery("#jqgCA").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsCA(id) {
            $("#" + id + "_activa").on('change', function () { BotonGuardarCA(); });
            $("#" + id + "_desc_opc").on('input', function () { BotonGuardarCA(); });
            $("#" + id + "_orden_ejec").on('change', function () { BotonGuardarCA(); });
            $("#" + id + "_sistema").on('change', function () { BotonGuardarCA(); });
            $("#" + id + "_obligatoria").on('change', function () { BotonGuardarCA(); });
            $("#" + id + "_reporte").on('change', function () { BotonGuardarCA(); });
            $("#" + id + "_codigo_opc").on('input', function () { BotonGuardarCA(); });
            $("#" + id + "_imprime").on('change', function () { BotonGuardarCA(); });
            $("#" + id + "_copias").on('change', function () { BotonGuardarCA(); });
            $("#" + id + "_config_form").on('change', function () { BotonGuardarCA(); });
            $("#" + id + "_configuracion").on('change', function () { BotonGuardarCA(); });

            $("#" + id + "_sistema").prop('disabled', true);  

            if(!isNaN(id))
            {
                if($("#" + id + "_sistema:checked").val() == "True")
                {
                    $("#" + id + "_desc_opc").prop('disabled', true);
                    $("#" + id + "_orden_ejec").prop('disabled', true);   
                    $("#" + id + "_obligatoria").prop('disabled', true);   
                    $("#" + id + "_reporte").prop('disabled', true);   
                    $("#" + id + "_codigo_opc").prop('disabled', true);  
                    $('#btnCommandLine').button('disable');                 
                }
                else
                {
                    $('#btnCommandLine').button('enable');
                }
            }
        }

        function EventsNewCA() {
            var selr = jQuery('#jqgCA').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_activa").on('change', function () { BotonGuardarCA(); });
            $("#" + selr + "_desc_opc").on('input', function () { BotonGuardarCA(); });
            $("#" + selr + "_orden_ejec").on('change', function () { BotonGuardarCA(); });
            $("#" + selr + "_sistema").on('change', function () { BotonGuardarCA(); });
            $("#" + selr + "_obligatoria").on('change', function () { BotonGuardarCA(); });
            $("#" + selr + "_reporte").on('change', function () { BotonGuardarCA(); });
            $("#" + selr + "_codigo_opc").on('input', function () { BotonGuardarCA(); });
            $("#" + selr + "_imprime").on('change', function () { BotonGuardarCA(); });
            $("#" + selr + "_copias").on('change', function () { BotonGuardarCA(); });
            $("#" + selr + "_config_form").on('change', function () { BotonGuardarCA(); });
            $("#" + selr + "_configuracion").on('change', function () { BotonGuardarCA(); });

            $("#" + selr + "_sistema").prop('disabled', true);  
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridCA()
        {
            $("#jqgCA").jqGrid("setGridParam", {datatype: "json", datatype: GetCA, loadonce: true});
            $("#jqgCA").trigger("reloadGrid"); 
            $("#jqgCA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateCA()
        {
            $('#IdSubElement').val(0);
            $('#TitSubElement').html('');

            $("#jqgCA").jqGrid('addRow',{
                initdata : {'Id': '0', 'sistema': 'False'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoCA();
            EventsNewCA();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveCA(){
	        var id = $("#jqgCA").jqGrid('getGridParam','selrow');
	        if (id)	{
	            PutCA(id, $('#' + id + '_activa').val(), $('#' + id + '_desc_opc').val(), $('#' + id + '_orden_ejec').val()
                    , $('#' + id + '_sistema:checked').val(), $('#' + id + '_obligatoria:checked').val(), $('#' + id + '_reporte:checked').val()
                    , $('#' + id + '_codigo_opc').val(), $('#' + id + '_imprime').val(), $('#' + id + '_copias').val()
                    , $('#' + id + '_config_form').val(), $('#' + id + '_configuracion').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteCA(){
	        var id = $("#jqgCA").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgCA").jqGrid('getRowData',id);
                DelCA(id);
                RefreshGridCA();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelCA(){
	        var id = $("#jqgCA").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#jqgCA').restoreRow(id);
                $('#btnConfig').button('disable');
                $('#btnCommandLine').button('disable', true);
                $('#cbimprime').prop('disabled', true);
                $('#copias').prop('disabled', true);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultCA();
        }

        function BotonDefaultCA() {
            $('#btnNuevoCA').button('enable');
            $('#btnEliminarCA').button('disable');
            $('#btnGuardarCA').button('disable');
            $('#btnCancelarCA').button('disable');
        }

        function BotonNuevoCA() {
            $('#btnNuevoCA').button('disable');
            $('#btnEliminarCA').button('disable');
            $('#btnGuardarCA').button('disable');
            $('#btnCancelarCA').button('enable');
        }

        function BotonSelectCA() {
            $('#btnNuevoCA').button('enable');
            var id = $("#jqgCA").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarCA').button('enable');
            }
            else {
                $('#btnEliminarCA').button('disable');
            }
            $('#btnGuardarCA').button('disable');
            $('#btnCancelarCA').button('disable');
        }

        function BotonGuardarCA() {
            $('#btnNuevoCA').button('disable');
            $('#btnEliminarCA').button('disable');
            $('#btnGuardarCA').button('enable');
            $('#btnCancelarCA').button('enable');
        }

        <% /* Código del jqGrid para LFA */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetLFA() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertos',
                data: { "modo": $('#IdConfigForm').val(), "id_zcfg": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFA").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgLFA")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        function GetLFABase() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertos',
                data: { "modo": $('#IdConfigForm').val(), "id_zcfg": "0"
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFA").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgLFA")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutLFA() {
            $.ajax({
                url: 'Servicio.svc/PutListadosFoliosAbiertos',
                data: { "modo": $('#IdConfigForm').val(), "id_zcfg": $('#IdSubElement').val(), "Elementos": $("#jqgLFA").jqGrid('getGridParam','selarrrow').toString(),
                    "orden" : $('input[type="radio"][name="rbOrdenLFA"]:checked').val(), "incluir": "0" 
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        //BotonDefaultLFA();
                        RefreshGridLFA();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridLFA() {
        
            var lselLFA;
            var colMap = {};
            $("#jqgLFA").jqGrid({
                datatype: GetLFA,
                height: 155,
                width: 450,
                colNames:  HeaderTableFA,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'Codigo', index: 'Codigo', width: 30, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Descripcion', index: 'Descripcion', width: 70, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Marcado', index: 'Marcado', search:false, hidden: true }, 
                            { name: 'Bloqueado', index: 'Bloqueado', search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true },
                            { name: 'Orden', index: 'Orden', width: 5, search:false, hidden: true },
                            { name: 'Incluir', index: 'Incluir', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastselLFA*/) {
                        $('#jqgLFA').jqGrid('editRow', id, true);
                        lastselLFA = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastselLFA*/) {
                        //$('#jqgLFA').jqGrid('setSelection', id);
                        //$('#cbUsaRalo').prop('checked', true);
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgLFA").getDataIDs(); 

                    $("#jqgLFA").resetSelection(); 

                    for (var i = 0; i < rows.length; i++)
                    { 
                        var elem  = $("#jqgLFA").getCell(rows[i],"Id");
                        var status  = $("#jqgLFA").getCell(rows[i],"Eli");
                        var marcado  = $("#jqgLFA").getCell(rows[i],"Marcado");
                        var orden  = $("#jqgLFA").getCell(rows[i],"Orden");

                        if(status == "True")
                        {
                            $("#jqgLFA").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        if(marcado == "True")
                        {
                            $("#jqgLFA").setSelection(elem, true);
                        }

                        if(i == 0)
                        {
                            $('input[type=radio][name=rbOrdenLFA][value=' + orden + ']').prop('checked', true);
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorLFA',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataLFA").click(function(){ 
                jQuery("#jqgLFA").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridLFA()
        {
            $("#jqgLFA").jqGrid("setGridParam", {datatype: "json", datatype: GetLFA, loadonce: true});
            $("#jqgLFA").trigger("reloadGrid"); 
            $("#jqgLFA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveLFA(){
            PutLFA();
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelLFA(){
            $('#dlgFoliosAbiertos').dialog('close');
        }

        function BotonDefaultLFA() {
            $('#btnNuevoLFA').button('enable');
            $('#btnEliminarLFA').button('disable');
            $('#btnGuardarLFA').button('disable');
            $('#btnCancelarLFA').button('disable');
        }

        function BotonNuevoLFA() {
            $('#btnNuevoLFA').button('disable');
            $('#btnEliminarLFA').button('disable');
            $('#btnGuardarLFA').button('disable');
            $('#btnCancelarLFA').button('enable');
        }

        function BotonSelectLFA() {
            $('#btnNuevoLFA').button('enable');
            var id = $("#jqgLFA").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarLFA').button('enable');
            }
            else {
                $('#btnEliminarLFA').button('disable');
            }
            $('#btnGuardarLFA').button('disable');
            $('#btnCancelarLFA').button('disable');
        }

        function BotonGuardarLFA() {
            $('#btnNuevoLFA').button('disable');
            $('#btnEliminarLFA').button('disable');
            $('#btnGuardarLFA').button('enable');
            $('#btnCancelarLFA').button('enable');
        }

        <% /* Código del jqGrid para LFAG */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetLFAG() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertos',
                data: { "modo": $('#IdConfigForm').val(), "id_zcfg": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFAG").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgLFAG")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFAG").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        function GetLFAGBase() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertos',
                data: { "modo": $('#IdConfigForm').val(), "id_zcfg": "0"
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFAG").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgLFAG")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFAG").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutLFAG() {
            $.ajax({
                url: 'Servicio.svc/PutListadosFoliosAbiertos',
                data: { "modo": $('#IdConfigForm').val(), "id_zcfg": $('#IdSubElement').val(), "Elementos": $("#jqgLFAG").jqGrid('getGridParam','selarrrow').toString(),
                    "orden" : $('input[type="radio"][name="rbOrdenLFAG"]:checked').val(), "incluir": "0" 
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        //BotonDefaultLFAG();
                        RefreshGridLFAG();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridLFAG() {
        
            var lselLFAG;
            var colMap = {};
            $("#jqgLFAG").jqGrid({
                datatype: GetLFAG,
                height: 155,
                width: 450,
                colNames:  HeaderTableFA,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'Codigo', index: 'Codigo', width: 30, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Descripcion', index: 'Descripcion', width: 70, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Marcado', index: 'Marcado', search:false, hidden: true }, 
                            { name: 'Bloqueado', index: 'Bloqueado', search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true },
                            { name: 'Orden', index: 'Orden', width: 5, search:false, hidden: true },
                            { name: 'Incluir', index: 'Incluir', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastselLFAG*/) {
                        $('#jqgLFAG').jqGrid('editRow', id, true);
                        lastselLFAG = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastselLFAG*/) {
                        //$('#jqgLFAG').jqGrid('setSelection', id);
                        //$('#cbUsaRalo').prop('checked', true);
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgLFAG").getDataIDs(); 

                    $("#jqgLFAG").resetSelection(); 

                    for (var i = 0; i < rows.length; i++)
                    { 
                        var elem  = $("#jqgLFAG").getCell(rows[i],"Id");
                        var status  = $("#jqgLFAG").getCell(rows[i],"Eli");
                        var marcado  = $("#jqgLFAG").getCell(rows[i],"Marcado");
                        var orden  = $("#jqgLFAG").getCell(rows[i],"Orden");

                        if(status == "True")
                        {
                            $("#jqgLFAG").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        if(marcado == "True")
                        {
                            $("#jqgLFAG").setSelection(elem, true);
                        }

                        if(i == 0)
                        {
                            $('input[type=radio][name=rbOrdenLFAG][value=' + orden + ']').prop('checked', true);
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorLFAG',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataLFAG").click(function(){ 
                jQuery("#jqgLFAG").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridLFAG()
        {
            $("#jqgLFAG").jqGrid("setGridParam", {datatype: "json", datatype: GetLFAG, loadonce: true});
            $("#jqgLFAG").trigger("reloadGrid"); 
            $("#jqgLFAG").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveLFAG(){
            PutLFAG();
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelLFAG(){
            $('#dlgFoliosAbiertos').dialog('close');
        }

        function BotonDefaultLFAG() {
            $('#btnNuevoLFAG').button('enable');
            $('#btnEliminarLFAG').button('disable');
            $('#btnGuardarLFAG').button('disable');
            $('#btnCancelarLFAG').button('disable');
        }

        function BotonNuevoLFAG() {
            $('#btnNuevoLFAG').button('disable');
            $('#btnEliminarLFAG').button('disable');
            $('#btnGuardarLFAG').button('disable');
            $('#btnCancelarLFAG').button('enable');
        }

        function BotonSelectLFAG() {
            $('#btnNuevoLFAG').button('enable');
            var id = $("#jqgLFAG").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarLFAG').button('enable');
            }
            else {
                $('#btnEliminarLFAG').button('disable');
            }
            $('#btnGuardarLFAG').button('disable');
            $('#btnCancelarLFAG').button('disable');
        }

        function BotonGuardarLFAG() {
            $('#btnNuevoLFAG').button('disable');
            $('#btnEliminarLFAG').button('disable');
            $('#btnGuardarLFAG').button('enable');
            $('#btnCancelarLFAG').button('enable');
        }

        <% /* Código del jqGrid para LFAT */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetLFAT() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertos',
                data: { "modo": $('#IdConfigForm').val(), "id_zcfg": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFAT").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgLFAT")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFAT").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        function GetLFATBase() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertos',
                data: { "modo": $('#IdConfigForm').val(), "id_zcfg": "0"
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFAT").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgLFAT")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFAT").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutLFAT() {
            $.ajax({
                url: 'Servicio.svc/PutListadosFoliosAbiertos',
                data: { "modo": $('#IdConfigForm').val(), "id_zcfg": $('#IdSubElement').val(), "Elementos": $("#jqgLFAT").jqGrid('getGridParam','selarrrow').toString(),
                    "orden" : $('input[type="radio"][name="rbOrdenLFAT"]:checked').val(), "incluir": $('input[name=cbInclTarjCC]:checked').val() 
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        //BotonDefaultLFAT();
                        RefreshGridLFAT();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridLFAT() {
        
            var lselLFAT;
            var colMap = {};
            $("#jqgLFAT").jqGrid({
                datatype: GetLFAT,
                height: 155,
                width: 450,
                colNames:  HeaderTableFA,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'Codigo', index: 'Codigo', width: 30, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Descripcion', index: 'Descripcion', width: 70, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Marcado', index: 'Marcado', search:false, hidden: true }, 
                            { name: 'Bloqueado', index: 'Bloqueado', search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true },
                            { name: 'Orden', index: 'Orden', width: 5, search:false, hidden: true },
                            { name: 'Incluir', index: 'Incluir', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastselLFAT*/) {
                        $('#jqgLFAT').jqGrid('editRow', id, true);
                        lastselLFAT = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastselLFAT*/) {
                        //$('#jqgLFAT').jqGrid('setSelection', id);
                        //$('#cbUsaRalo').prop('checked', true);
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgLFAT").getDataIDs(); 

                    $("#jqgLFAT").resetSelection(); 

                    for (var i = 0; i < rows.length; i++)
                    { 
                        var elem  = $("#jqgLFAT").getCell(rows[i],"Id");
                        var status  = $("#jqgLFAT").getCell(rows[i],"Eli");
                        var marcado  = $("#jqgLFAT").getCell(rows[i],"Marcado");
                        var orden  = $("#jqgLFAT").getCell(rows[i],"Orden");
                        var incluir  = $("#jqgLFAT").getCell(rows[i],"Incluir");

                        if(status == "True")
                        {
                            $("#jqgLFAT").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        if(marcado == "True")
                        {
                            $("#jqgLFAT").setSelection(elem, true);
                        }

                        if(i == 0)
                        {
                            $('input[type=radio][name=rbOrdenLFAT][value=' + orden + ']').prop('checked', true);
                        }

                        if(incluir == "True")
                        {
                            $("#cbInclTarjCC").prop('checked', true);
                        }
                        else
                        {
                            $("#cbInclTarjCC").prop('checked', false);
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorLFAT',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataLFAT").click(function(){ 
                jQuery("#jqgLFAT").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridLFAT()
        {
            $("#jqgLFAT").jqGrid("setGridParam", {datatype: "json", datatype: GetLFAT, loadonce: true});
            $("#jqgLFAT").trigger("reloadGrid"); 
            $("#jqgLFAT").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveLFAT(){
            PutLFAT();
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelLFAT(){
            $('#dlgFoliosAbiertos').dialog('close');
        }

        function BotonDefaultLFAT() {
            $('#btnNuevoLFAT').button('enable');
            $('#btnEliminarLFAT').button('disable');
            $('#btnGuardarLFAT').button('disable');
            $('#btnCancelarLFAT').button('disable');
        }

        function BotonNuevoLFAT() {
            $('#btnNuevoLFAT').button('disable');
            $('#btnEliminarLFAT').button('disable');
            $('#btnGuardarLFAT').button('disable');
            $('#btnCancelarLFAT').button('enable');
        }

        function BotonSelectLFAT() {
            $('#btnNuevoLFAT').button('enable');
            var id = $("#jqgLFAT").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarLFAT').button('enable');
            }
            else {
                $('#btnEliminarLFAT').button('disable');
            }
            $('#btnGuardarLFAT').button('disable');
            $('#btnCancelarLFAT').button('disable');
        }

        function BotonGuardarLFAT() {
            $('#btnNuevoLFAT').button('disable');
            $('#btnEliminarLFAT').button('disable');
            $('#btnGuardarLFAT').button('enable');
            $('#btnCancelarLFAT').button('enable');
        }

        function AbrirDlgFoliosAbiertos()
        {
            var opc = parseInt($('#IdConfigForm').val());
            if(opc == 1)
            {
                RefreshGridLFA();
                $('#FoliosAbiertosTabs').tabs("enable", 0);
                $('#FoliosAbiertosTabs').tabs("disable", 1);
                $('#FoliosAbiertosTabs').tabs("disable", 2);
                $('#FoliosAbiertosTabs').tabs("option", "active", 0);
            }
            if(opc == 2)
            {
                RefreshGridLFAG();
                $('#FoliosAbiertosTabs').tabs("disable", 0);
                $('#FoliosAbiertosTabs').tabs("enable", 1);
                $('#FoliosAbiertosTabs').tabs("disable", 2);
                $('#FoliosAbiertosTabs').tabs("option", "active", 1);
            }
            if(opc == 3)
            {
                RefreshGridLFAT();
                $('#FoliosAbiertosTabs').tabs("disable", 0);
                $('#FoliosAbiertosTabs').tabs("disable", 1);
                $('#FoliosAbiertosTabs').tabs("enable", 2);
                $('#FoliosAbiertosTabs').tabs("option", "active", 2);
            }
            $('#dlgFoliosAbiertos').dialog('open');
        }

        function AsignarValoresGEN()
        {
            $('#dias_cierre').val($('#Hid_dias_cierre').val());
            if (parseInt($('#Hid_asto_automatico').val()) == 1)
            {
                $('#asto_automatico').prop('checked', true);
            }
            else
            {
                $('#asto_automatico').prop('checked', false);
            }
            if (parseInt($('#Hid_integra_asiento').val()) == 1) {
                $('#integra_asiento').prop('checked', true);
            }
            else {
                $('#integra_asiento').prop('checked', false);
            }
            $('#prt_name').val($('#Hid_prt_name').val());
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgCommandLine").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 220,
                width: 500,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        SaveCA();
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgFoliosAbiertos").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 460,
                width: 500,
                modal: true
            });

            $("#dlgConfirReset").dialog({
                autoOpen: false,
                resizable: false,
                width: 500,
                height: 170,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog("close");
                        ResetConfigAuditoria();
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#btnConfig').button('disable');
            $('#btnCommandLine').button('disable', true);
            $('#cbimprime').prop('disabled', true);
            $('#copias').prop('disabled', true);

            AsignarValoresGEN();

            InitializeComponentsGEN();

            BotonDefaultGEN();

            LoadGridCA();
            LoadGridLFA();
            LoadGridLFAG();
            LoadGridLFAT();

            BotonDefaultCA();

            $('#FoliosAbiertosTabs').tabs();

        });
    </script>

    <style type="text/css">
        .sysRow td 
        {
            background-color: #EDEDED; 
            font-weight: bold;
        }
    </style>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ConfiguracionAuditoriaNocturna.aspx"><%=L.TIT("ConfiguracionAuditoriaNocturna") %></a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <div id="dlgCommandLine" title="<%=L.LBL("LblGENObservations") %>" style="text-align: center;padding-top: 25px">
                    <textarea id="txtcommand_line" cols="60" rows="5" ></textarea>
                </div>

                <div id="dlgFoliosAbiertos" title="<%=L.TIT("FoliosAbiertos") %>" style="text-align: center;padding-top: 25px">

                    <div id="FoliosAbiertosTabs" style="padding: 0px;">

                        <ul>
                            <li>
                                <a href="#LFA">
                                    <table>
                                        <tr>
                                            <td><img src="img/Seven/OpFolios.png" /></td>
                                            <td><span style="font-size: 7pt;"><%=Seven.Front.Settings.L.LBL("LblFDKSLFA") %></span></td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                            <li>
                                <a href="#LFAG">
                                    <table>
                                        <tr>
                                            <td><img src="img/building.png" /></td>
                                            <td><span style="font-size: 7pt;"><%=Seven.Front.Settings.L.LBL("LblFDKSLFAG") %></span></td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                            <li>
                                <a href="#LFAT">
                                    <table>
                                        <tr>
                                            <td><img src="img/Seven/FoliosExt.png" /></td>
                                            <td><span style="font-size: 7pt;"><%=Seven.Front.Settings.L.LBL("LblFDKSLFAT") %></span></td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                        </ul>

                        <div id="LFA">

                            <table>
                                <tr>
                                    <td rowspan="3" style="vertical-align: middle;"><b><%=L.LBL("LblGENOrderBy") %>:</b></td>
                                    <td>
                                        <input type="radio" name="rbOrdenLFA" value="1" checked="checked" />
                                    </td>
                                    <td style="text-align: left;"><%=L.LBL("LblFDKSHabitaciones") %></td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="radio" name="rbOrdenLFA" value="2" />
                                    </td>
                                    <td style="text-align: left;"><%=L.LBL("LblFDKSFechaEntrada") %></td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="radio" name="rbOrdenLFA" value="3" />
                                    </td>
                                    <td style="text-align: left;"><%=L.LBL("LblFDKSFechaSalida") %></td>
                                </tr>
                            </table>

                            <br />

                            <table id="jqgLFA"></table>
                            <div id="PaginadorLFA" ></div>

                            <br />

                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" id="btnGuardarLFA" onclick="SaveLFA();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                    </td>
                                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnConfigBaseLFA" onclick="GetLFABase();" >
                                                        <table>
                                                        <tr><td>
                                                        <img src="img/arrow-circle-double.png" 
                                                         alt="<%=L.LBL("LblGENConfigBase") %>" />
                                                        </td><td style="white-space: nowrap;">
                                                        <%=L.LBL("LblGENConfigBase") %>
                                                        </td></tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelarLFA" onclick="CancelLFA();">
                                                            <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                        </div>

                        <div id="LFAG">

                            <table>
                                <tr>
                                    <td rowspan="4" style="vertical-align: middle;"><b><%=L.LBL("LblGENOrderBy") %>:</b></td>
                                    <td>
                                        <input type="radio" name="rbOrdenLFAG" value="1" checked="checked" />
                                    </td>
                                    <td style="text-align: left;"><%=L.LBL("LblFDKSNroCheque") %></td>
                                    <td>
                                        <input type="radio" name="rbOrdenLFAG" value="4" />
                                    </td>
                                    <td style="text-align: left;"><%=L.LBL("LblFDKSEXContrato") %></td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="radio" name="rbOrdenLFAG" value="2" />
                                    </td>
                                    <td style="text-align: left;"><%=L.LBL("LblFDKSFechaEntrada") %></td>
                                    <td>
                                        <input type="radio" name="rbOrdenLFAG" value="3" />
                                    </td>
                                    <td style="text-align: left;"><%=L.LBL("LblFDKSFechaSalida") %></td>
                                </tr>
                            </table>

                            <br />

                            <table id="jqgLFAG"></table>
                            <div id="PaginadorLFAG" ></div>

                            <br />

                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" id="btnGuardarLFAG" onclick="SaveLFAG();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                    </td>
                                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnConfigBaseLFAG" onclick="GetLFAGBase();" >
                                                        <table>
                                                        <tr><td>
                                                        <img src="img/arrow-circle-double.png" 
                                                         alt="<%=L.LBL("LblGENConfigBase") %>" />
                                                        </td><td style="white-space: nowrap;">
                                                        <%=L.LBL("LblGENConfigBase") %>
                                                        </td></tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelarLFAG" onclick="CancelLFAG();">
                                                            <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                        </div>

                        <div id="LFAT">
                            <table>
                                <tr>
                                    <td rowspan="2" style="vertical-align: middle;"><b><%=L.LBL("LblGENOrderBy") %>:</b></td>
                                    <td>
                                        <input type="radio" name="rbOrdenLFAT" value="1" checked="checked" />
                                    </td>
                                    <td><%=L.LBL("LblFDKSNroTarjeta") %></td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="radio" name="rbOrdenLFAT" value="2" />
                                    </td>
                                    <td><%=L.LBL("LblFDKSFechaVencimiento") %></td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <input type="checkbox" id="cbInclTarjCC" name="cbInclTarjCC" value="1" />
                                        <%=L.LBL("LblFDKSIncluirTarjCC") %>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <table id="jqgLFAT"></table>
                            <div id="PaginadorLFAT" ></div>

                            <br />

                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" id="btnGuardarLFAT" onclick="SaveLFAT();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                    </td>
                                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnConfigBaseLFAT" onclick="GetLFATBase();" >
                                                        <table>
                                                        <tr><td>
                                                        <img src="img/arrow-circle-double.png" 
                                                         alt="<%=L.LBL("LblGENConfigBase") %>" />
                                                        </td><td style="white-space: nowrap;">
                                                        <%=L.LBL("LblGENConfigBase") %>
                                                        </td></tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelarLFAT" onclick="CancelLFAT();">
                                                            <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </div>

                    </div>

                </div>

                <div id="dlgConfirReset" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    <%=L.MSG("MsgFDKSConfirResetAuditoria") %>
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ConfiguracionAuditoriaNocturna") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultCA();RefreshGridCA();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/3-1-definici%C3%B3n-de-camareras/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <div id="HidConfigCierre">
                    <%=hidConfigCierre %>
                </div>

                <fieldset>
                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <%=L.LBL("LblFDKSCIERDiasCierre") %>
                            </td>
                            <td>
                                <input type="text" id="dias_cierre" value="1" size="5" />
                            </td>
                            <td rowspan="2" style="vertical-align: middle;">
                                <b><%=L.LBL("LblFDKSAsientos") %></b>
                            </td>
                            <td>
                                <input type="checkbox" id="asto_automatico" name="asto_automatico" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSCIERAutomaticos") %>
                            </td>
                            <td rowspan="2">
                                <table width="100%">
                                    <tr>
                                        <td colspan="4">
                                            <table width="100%">
                                                <tr>
                                                    <td width="100%"></td>
                                                    <td>
                                                        <button type="button" id="btnGuardarGEN" onclick="SaveGEN();">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnCancelarGEN" onclick="CancelGEN();">
                                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblFDKSCIERImpresoraCierre") %>
                            </td>
                            <td>
                                <input type="text" id="prt_name" value="" size="25" />
                            </td>
                            
                            <td>
                                <input type="checkbox" id="integra_asiento" name="integra_asiento" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSCIERIntegraAsiento") %>
                            </td>
                        </tr>
                    </table>
                </fieldset>

                <br />
                            
                <table id="jqgCA"></table>
                <div id="PaginadorCA" ></div>

                <br />

                <fieldset>
                    <input type="hidden" id="IdSubElement" value="0" />
                    <input type="hidden" id="IdConfigForm" value="0" />
                    <legend><b><%=L.LBL("LblGENDatos") %>: <span id="TitSubElement"></span></b></legend>

                    <table style="width: 100%;">
                        <tr>
                            <td><b><%=L.LBL("LblGENReporte") %></b></td>
                            <td>
                                <button type="button" id="btnConfig" onclick="AbrirDlgFoliosAbiertos();">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/gear.png" alt="<%=L.LBL("LblGENConfigurar") %>" />
                                            </td>
                                            <td>
                                                <%=L.LBL("LblGENConfigurar") %>
                                            </td>
                                        </tr>
                                    </table>
                                </button>
                            </td>
                            <td>
                                <input type="checkbox" id="cbimprime" name="cbimprime" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSImprimir") %>
                            </td>
                            <td>
                                <input type="text" id="copias" value="1" size="5" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSCopias") %>
                            </td>
                            <td>
                                &nbsp;&nbsp;&nbsp;<b><%=L.LBL("LblFDKSOpcionUsuario") %></b>
                            </td>
                            <td>
                                <button type="button" id="btnCommandLine" onclick="$('#dlgCommandLine').dialog('open');">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-terminal.png" alt="<%=L.LBL("LblGENLineaComando") %>" />
                                            </td>
                                            <td>
                                                <%=L.LBL("LblGENLineaComando") %>
                                            </td>
                                        </tr>
                                    </table>
                                </button>
                            </td>
                            <td style="width: 100%;"></td>
                        </tr>
                    </table>
                </fieldset>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="btnReset" value="Reset" onclick="$('#dlgConfirReset').dialog('open');" >
                                            <table>
                                            <tr><td>
                                            <img src="img/arrow-circle-double.png" 
                                             alt="<%=L.LBL("LblGENResetear") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENResetear") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoCA" onclick="CreateCA();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarCA" onclick="DeleteCA();">
                                            <table><tr><td><img id="btnEliminarIconCA" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarTextCA"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarCA" onclick="SaveCA();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarCA" onclick="CancelCA();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

