﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="NacionalidadesIdiomas.aspx.cs" Inherits="Seven.Front.Settings.NacionalidadesIdiomas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("NacionalidadesIdiomas") %> </title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* Código del jqGrid para NI */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetNI() {
            $.ajax({
                url: 'Servicio.svc/GetNacionalidadesIdiomas',
                data: {
                    "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                  , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgNI").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgNI")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgNI").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutNI(id, id_naci, id_lang, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutNacionalidadesIdiomas',
                data: {
                    "id_naid": id, "id_naci": id_naci, "id_lang": id_lang
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            $('#IdSubElementNI').val(0);
                            BotonDefaultNI();
                            RefreshGridNI();
                        }
                        else {
                            if (id > 0 || id < 0) {
                                BotonDefaultNI();
                                RefreshGridNI();
                            }
                            else {
                                $('#IdSubElementNI').val(res);
                                BotonDefaultNI();
                                RefreshGridNI();
                            }
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridNI() {

            var lselNI;
            var colMap = {};
            $("#jqgNI").jqGrid({
                datatype: 'local',
                height: 255,
                width: 700,
                colNames: ['', '<%=L.LBL("LblFDKSEXNacionalidad") %>', '<%=L.LBL("LblGENLanguage") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            {
                                name: 'id_naci', index: 'id_naci', width: 10, editable: true,
                                formatter: 'select', stype: 'select', edittype: 'select',
                                editoptions: {<%=cbNacionalidadJQ %> }, searchoptions: {<%=cbNacionalidadJQ %> }
                            },
                            {
                                name: 'id_lang', index: 'id_lang', width: 10, editable: true,
                                formatter: 'select', stype: 'select', edittype: 'select',
                                editoptions: {<%=cbIdiomaJQ %> }, searchoptions: {<%=cbIdiomaJQ %> }
                            },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselNI) && !isNaN(id)) {
                            $("#jqgNI").jqGrid('delRowData', lselNI);
                            //$('#jqgNI').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgNI").jqGrid('getRowData', id);

                            $('#jqgNI').jqGrid('restoreRow', lselNI);

                            $('#IdSubElementNI').val(ret.Id);
                        }
                        else {
                            BotonNuevoNI();
                        }

                        $('#jqgNI').jqGrid('saveRow', lselNI);
                        $('#jqgNI').jqGrid('editRow', id, true, EventsNI);

                        lselNI = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselNI)) {
                            $("#jqgNI").jqGrid('delRowData', lselNI);
                            $('#jqgNI').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgNI').jqGrid('saveRow', lselNI);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgNI').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgNI").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextNI').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconNI').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextNI').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconNI').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgNI').jqGrid('setSelection', id); 

                        BotonSelectNI();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgNI").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementNI').val()) == 0) {
                            $('#IdSubElementNI').val($("#jqgNI").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgNI").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgNI").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgNI').jqGrid('setSelection', $('#IdSubElementNI').val());
                    if (parseInt($('#IdSubElementNI').val()) != 0) {
                        BotonSelectNI();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgNI").jqGrid('navGrid','#PaginadorNI',{del:false,add:false,edit:false,search:false});
            $("#bsdataNI").click(function () {
                jQuery("#jqgNI").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsNI(id) {
            $("#" + id + "_id_naci").on('change', function () { BotonGuardarNI(); });
            $("#" + id + "_id_lang").on('change', function () { BotonGuardarNI(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarNI(); });
        }

        function EventsNewNI() {
            var selr = jQuery('#jqgNI').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_naci").on('change', function () { BotonGuardarNI(); });
            $("#" + selr + "_id_lang").on('change', function () { BotonGuardarNI(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarNI(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridNI() {
            $("#jqgNI").jqGrid("setGridParam", { datatype: "json", datatype: GetNI, loadonce: true });
            $("#jqgNI").trigger("reloadGrid");
            $("#jqgNI").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateNI() {
            $('#IdSubElementNI').val(0);
            $("#jqgNI").jqGrid('addRow', {
                initdata: { 'Id': '0' },
                position: "first",
                useDefValues: false,
                useFormatter: false,
                addRowParams: { extraparam: {} }
            });
            BotonGuardarNI();
            EventsNewNI();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveNI() {
            var id = $("#jqgNI").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutNI(id, $('#' + id + '_id_naci').val(), $('#' + id + '_id_lang').val(), $('#' + id + '_eliminado').val(), 0);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteNI() {
            var id = $("#jqgNI").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutNI(id, $('#' + id + '_id_naci').val(), $('#' + id + '_id_lang').val(), $('#' + id + '_eliminado').val(), 1);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelNI() {
            var id = $("#jqgNI").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgNI').restoreRow(id);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultNI();
        }

        function BotonDefaultNI() {
            $('#btnNuevoNI').button('enable');
            $('#btnEliminarNI').button('disable');
            $('#btnGuardarNI').button('disable');
            $('#btnCancelarNI').button('disable');
        }

        function BotonNuevoNI() {
            $('#btnNuevoNI').button('disable');
            $('#btnEliminarNI').button('disable');
            $('#btnGuardarNI').button('disable');
            $('#btnCancelarNI').button('enable');
        }

        function BotonSelectNI() {
            $('#btnNuevoNI').button('enable');
            var id = $("#jqgNI").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarNI').button('enable');
            }
            else {
                $('#btnEliminarNI').button('disable');
            }
            $('#btnGuardarNI').button('disable');
            $('#btnCancelarNI').button('disable');
        }

        function BotonGuardarNI() {
            $('#btnNuevoNI').button('disable');
            $('#btnEliminarNI').button('disable');
            $('#btnGuardarNI').button('enable');
            $('#btnCancelarNI').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=412', '_blank');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridNI();

            RefreshGridNI();

            BotonDefaultNI();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="NacionalidadesIdiomas.aspx"><%=L.TIT("NacionalidadesIdiomas") %> </a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("NacionalidadesIdiomas") %> </span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultNI();RefreshGridNI();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/1-3-agentes-de-ventas/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <input type="hidden" id="IdSubElementNI" value="0" />
                <table id="jqgNI"></table>

                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="bsdataNI" value="Search" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png" 
                                                           alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoNI" onclick="CreateNI();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarNI" onclick="DeleteNI();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconNI" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextNI"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarNI" onclick="SaveNI();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarNI" onclick="CancelNI();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

