﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ServiciosAgencias.aspx.cs" Inherits="Seven.Front.Settings.ServiciosAgencias" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("ServiciosAgencias") %> [2.4]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        var HeaderTable = <%=L.LBL("LblFDKSServiciosAgencias") %>;
        var HeaderTable2 = <%=L.LBL("LblFDKSServiciosAgenciasServiciosSimples") %>;
        var HeaderTable3 = <%=L.LBL("LblFDKSServiciosAgenciasImpuestos") %>;

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData() {
            $.ajax({
                url: 'Servicio.svc/GetServiciosAgencias',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData(id, cod_cfag, desc_cfag, tipo_cfag, id_uhab, id_ralo, eli) {
            $.ajax({
                url: 'Servicio.svc/PutServiciosAgencias',
                data: { "id_cfag": id, "cod_cfag": cod_cfag, "desc_cfag": desc_cfag, "tipo_cfag": tipo_cfag, "id_uhab": id_uhab, "id_ralo": id_ralo
                    , "cantidad": $('input[name=rbTipo]:checked').val(), "id_con1": $('#cbConcProd').val(), "fecha_fija": $('#SAFechaFija').val()
                    , "id_csim": $('#cbSADiferenciaPrecio').val()
                    , "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            BotonDefault();
                            RefreshGrid();

                            $('#IdSubElement').val(0);
                            $('#TitSubElement').html('');

                            RefreshGrid2();
                            RefreshGrid3();

                            $('#SATabs').tabs("disable", 1);
                            $('#SATabs').tabs("enable", 0);
                            $('#SATabs').tabs("option", "active", 0);

                            $("#SAFechaFija").datepicker('disable');
                        }
                        else if(id > 0 || id < 0){
                            BotonDefault();
                            RefreshGrid();
                        }
                        else
                        {
                            $('#IdSubElement').val(res);
                            BotonDefault();
                            RefreshGrid();

                            $('#SATabs').tabs("disable", 1);
                            $('#SATabs').tabs("enable", 0);
                            $('#SATabs').tabs("option", "active", 0);

                            $("#SAFechaFija").datepicker('disable');
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid() {
        
            var lastsel2;
            var colMap = {};
            $("#TablaGrid").jqGrid({
                datatype: 'local',
                height: 155,
                width: 700,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 0, sorttype: 'int', hidden: true },
                            { name: 'cod_cfag', index: 'cod_cfag', width: 5, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'desc_cfag', index: 'desc_cfag', width: 15, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'tipo_cfag', index: 'tipo_cfag', width: 8, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: { <%=cbTipo %> }}, 
                            { name: 'id_uhab', index: 'id_uhab', width: 11, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: { <%=cbUsosHab %> }},
                            { name: 'id_ralo', index: 'id_ralo', width: 11, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: { <%=cbRegimenAloj %> }},
                            { name: 'cantidad', index: 'cantidad', width: 15, editable: true, search:false, hidden: true },
                            { name: 'id_con1', index: 'id_con1', width: 15, editable: true, search:false, hidden: true },
                            { name: 'fecha_fija', index: 'fecha_fija', width: 15, editable: true, search:false, hidden: true },
                            { name: 'id_csim', index: 'id_csim', width: 15, editable: true, search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                        if (isNaN(lastsel2) && !isNaN(id)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            //$('#TablaGrid').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', lastsel2);

                            var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);

                            $('#IdSubElement').val(id);
                            $('#TitSubElement').html(ret.cod_cfag);
                            RefreshGrid3();
                            BotonDefault3();

                            var id_csim = parseInt(ret.id_csim);
                            if(id_csim < 0)
                            {
                                $('#SATabs').tabs("disable", 1);
                                $('#SATabs').tabs("enable", 0);
                                $('#SATabs').tabs("option", "active", 0);

                                $('#rbTipo_0').prop("checked", false);
                                $('#rbTipo_1').prop("checked", false);
                                $('#rbTipo_' + ret.cantidad).prop("checked", true);
                                $('#rbTipo_0').prop("disabled", true);
                                $('#rbTipo_1').prop("disabled", true);
                                $('#cbConcProd').val(ret.id_con1);

                                var tipo_cfag = parseInt(ret.tipo_cfag);
                                if(tipo_cfag == 3)
                                {
                                    $('#SAFechaFija').val(ret.fecha_fija);
                                    $("#SAFechaFija").datepicker('enable');
                                }
                                else
                                {
                                    $('#SAFechaFija').val('');
                                    $("#SAFechaFija").datepicker('disable');
                                }
                                var cantidad = parseInt(ret.cantidad);
                                if(cantidad == 0)
                                {
                                    $('#cbConcProd').prop("disabled", true);
                                }
                                else
                                {
                                    $('#cbConcProd').prop("disabled", false);
                                }
                            }
                            else
                            {
                                $('#SATabs').tabs("disable", 0);
                                $('#SATabs').tabs("enable", 1);
                                $('#SATabs').tabs("option", "active", 1);

                                $('#cbSADiferenciaPrecio').val(ret.id_csim);

                                $('#rbTipo_0').prop("disabled", false);
                                $('#rbTipo_1').prop("disabled", false);

                                RefreshGrid2();
                                BotonDefault2();
                            }
                        }
                        else {
                            BotonNuevo();
                        }

                        $('#TablaGrid').jqGrid('editRow', id, true, Events);

                        lastsel2 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        if (isNaN(lastsel2)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            $('#TablaGrid').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid').jqGrid('saveRow', lastsel2);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        /**/

                        if (status == "True") {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIcon').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIcon').attr("src", "img/cross-script.png");
                        }

                        //$('#TablaGrid').jqGrid('setSelection', id);
                    }
                    BotonSelect();
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#TablaGrid").getCell(rows[i], "Id"));
                        }

                        var status  = $("#TablaGrid").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#TablaGrid").jqGrid('setRowData',rows[i],false, 
                            //{color:'black',background:'rgb(230,230,250)',font:'italic' });
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#TablaGrid').jqGrid('setSelection', $('#IdSubElement').val());
                    if(parseInt($('#IdSubElement').val()) != 0)
                    {
                        BotonSelect();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador',
                sortname: 'cod_cfag',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdata").click(function(){ 
                jQuery("#TablaGrid").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function InitializeComponents() {
            $("#cbConcProd").on('change', function () { BotonGuardar(); });
            $("#SAFechaFija").on('input', function () { BotonGuardar(); });
            $("#SAFechaFija").on('change', function () { BotonGuardar(); });
            $("#cbSADiferenciaPrecio").on('change', function () { BotonGuardar(); });
        }

        function Events(id) {
            $("#" + id + "_cod_cfag").on('input', function () { BotonGuardar(); });
            $("#" + id + "_desc_cfag").on('input', function () { BotonGuardar(); });
            $("#" + id + "_tipo_cfag").on('change', function () { BotonGuardar(); });
            $("#" + id + "_id_uhab").on('change', function () { BotonGuardar(); });
            $("#" + id + "_id_ralo").on('change', function () { BotonGuardar(); });
            $("#" + id + "_tipo_cfag").prop('disabled', true);
        }

        function EventsNew() {
            var selr = jQuery('#TablaGrid').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_cod_cfag").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_desc_cfag").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_tipo_cfag").on('change', function () 
            { 
                BotonGuardar();
                
                var Tipo = parseInt($("#" + selr + "_tipo_cfag").val());
                if(Tipo == 4)
                {
                    $('#SATabs').tabs("disable", 0);
                    $('#SATabs').tabs("enable", 1);
                    $('#SATabs').tabs("option", "active", 1);

                    $('#cbSADiferenciaPrecio').val(0);

                    RefreshGrid2();
                    BotonDefault2();
                }
                else 
                {
                    $('#SATabs').tabs("disable", 1);
                    $('#SATabs').tabs("enable", 0);
                    $('#SATabs').tabs("option", "active", 0);

                    if(Tipo == 3)
                    {
                        $("#SAFechaFija").datepicker('enable');
                    }
                    else
                    {
                        $('#SAFechaFija').val('');
                        $("#SAFechaFija").datepicker('disable');
                    }
                }
            });
            $("#" + selr + "_id_uhab").on('change', function () { BotonGuardar(); });
            $("#" + selr + "_id_ralo").on('change', function () { BotonGuardar(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid()
        {
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", datatype: GetData, loadonce: true});
            $("#TablaGrid").trigger("reloadGrid"); 
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement()
        {
            $('#IdSubElement').val(0);
            $('#TitSubElement').html('');

            RefreshGrid2();
            RefreshGrid3();

            $('#SATabs').tabs("disable", 1);
            $('#SATabs').tabs("enable", 0);

            $('#rbTipo_0').prop("disabled", false);
            $('#rbTipo_1').prop("disabled", false);

            $('#SATabs').tabs("option", "active", 0);

            $("#SAFechaFija").datepicker('disable');

            $("#TablaGrid").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevo();
            EventsNew();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
	            PutData(id, $('#' + id + '_cod_cfag').val(), $('#' + id + '_desc_cfag').val(), $('#' + id + '_tipo_cfag').val(), 
                    $('#' + id + '_id_uhab').val(), $('#' + id + '_id_ralo').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid").jqGrid('getRowData',id);
		        PutData(id, $('#' + id + '_cod_cfag').val(), $('#' + id + '_desc_cfag').val(), $('#' + id + '_tipo_cfag').val(), 
                    $('#' + id + '_id_uhab').val(), $('#' + id + '_id_ralo').val(), 1);
                RefreshGrid();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
	            $('#TablaGrid').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault();
        }

        function BotonDefault() {
            $('#btnNuevo').button('enable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonNuevo() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('enable');
        }

        function BotonSelect() {
            $('#btnNuevo').button('enable');
            var id = $("#TablaGrid").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar').button('enable');
            }
            else {
                $('#btnEliminar').button('disable');
            }
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonGuardar() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('enable');
            $('#btnCancelar').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
	        window.open('Informe.aspx?r=104&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        <% /* Código del Grid #2 - Servicios Simples de Servicio de Agencia Compuesto */%>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData2() {
            $.ajax({
                url: 'Servicio.svc/GetServiciosAgenciaServiciosSimples',
                data: { "id_cfag": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement2').css("color", "red");
                },
                success: function (json) {
                    $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid2")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid2").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#TitSubElement2').css("color", "green");
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData2(id, id_csim, orden, eli) {
            $.ajax({
                url: 'Servicio.svc/PutServiciosAgenciaServiciosSimples',
                data: { "id_cfag": $('#IdSubElement').val(), "id_csim": id_csim, "orden": orden, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(eli == 1){
                            BotonDefault2();
                            RefreshGrid2();
                        }
                        else if(id > 0 || id < 0){
                            //$("#TablaGrid2").jqGrid('saveRow', id);
                            //$('#TablaGrid2').jqGrid('editRow', id,true, Events2);
                            BotonDefault2();
                            RefreshGrid2();
                        }
                        else
                        {
                            BotonDefault2();
                            RefreshGrid2();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid2() {
        
            var lastsel22;
            var colMap = {};
            $("#TablaGrid2").jqGrid({
                datatype: 'local',
                height: 80,
                width: 300,
                colNames: HeaderTable2,
                colModel: [
                            { name: 'Id', index: 'Id', width: 0, sorttype: 'int', hidden: true },
                            { name: 'id_csim', index: 'id_csim', width: 80, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: { <%=cbSAServiciosSimples %> } }, 
                            { name: 'id_cfag', index: 'id_cfag', width: 10, editable: true, hidden: true }, 
                            { name: 'orden', index: 'orden', width: 20, editable: true, search: false }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {

                        if (isNaN(lastsel22) && !isNaN(id)) {
                            $("#TablaGrid2").jqGrid('delRowData', lastsel22);
                            $('#TablaGrid2').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid2').jqGrid('saveRow', lastsel22);
                        }
                        else {
                            BotonGuardar2();
                        }

                        $('#TablaGrid2').jqGrid('editRow', id, true, Events2);

                        lastsel22 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        if (isNaN(lastsel22)) {
                            $("#TablaGrid2").jqGrid('delRowData', lastsel22);
                            $('#TablaGrid2').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid2').jqGrid('saveRow', lastsel22);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel22*/) {

                        var ret = jQuery("#TablaGrid2").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarText2').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIcon2').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarText2').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIcon2').attr("src", "img/cross-script.png");
                        }

                        $('#TablaGrid2').jqGrid('setSelection', id);
                    }
                    BotonSelect2();
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid2").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#TablaGrid2").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#TablaGrid2").jqGrid('setRowData',rows[i],false, {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador2',
                sortname: 'Desc',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdata2").click(function(){ 
                jQuery("#TablaGrid2").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function Events2(id) {
            $("#" + id + "_id_csim").on('change', function () { BotonGuardar2(); });
            $("#" + id + "_orden").on('input', function () { BotonGuardar2(); });
        }

        function EventsNew2() {
            var selr = jQuery('#TablaGrid3').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_csim").on('change', function () { BotonGuardar2(); });
            $("#" + selr + "_orden").on('input', function () { BotonGuardar2(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid2()
        {
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", datatype: GetData2, loadonce: true});
            $("#TablaGrid2").trigger("reloadGrid"); 
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid2").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement2()
        {
            $("#TablaGrid2").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0', 'orden': '1'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardar2();
            EventsNew2();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement2(){
            var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
            if (id)	{
                //var ret = $("#TablaGrid2").jqGrid('getRowData',id);
                PutData2(id, $('#' + id + '_id_csim').val(), $('#' + id + '_orden').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement2(){
            var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
            if (id)	{
                var ret = $("#TablaGrid2").jqGrid('getRowData',id);
                PutData2(id, $('#' + id + '_id_csim').val(), $('#' + id + '_orden').val(), 1);
                RefreshGrid2();
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement2(){
            var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
            if (id)	{
                $('#TablaGrid2').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefault2();
        }

        function BotonDefault2() {
            $('#btnNuevo2').button('enable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('disable');
        }

        function BotonNuevo2() {
            $('#btnNuevo2').button('disable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('enable');
        }

        function BotonSelect2() {
            $('#btnNuevo2').button('enable');
            var id = $("#TablaGrid2").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar2').button('enable');
            }
            else {
                $('#btnEliminar2').button('disable');
            }
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('disable');
        }

        function BotonGuardar2() {
            $('#btnNuevo2').button('disable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('enable');
            $('#btnCancelar2').button('enable');
        }

        <% /* Código del Grid #3 - Impuestos */%>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData3() {
            $.ajax({
                url: 'Servicio.svc/GetServiciosAgenciasImpuestos',
                data: { "id_cfag": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement').css("color", "red");
                },
                success: function (json) {
                    $("#TablaGrid3").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid3")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid3").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#TitSubElement').css("color", "green");
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData3(id, id_cfag, id_impu, eli) {
            $.ajax({
                url: 'Servicio.svc/PutServiciosAgenciasImpuestos',
                data: { "id_imag": id, "id_cfag": $('#IdSubElement').val(), "id_impu": id_impu, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(eli == 1){
                            BotonDefault3();
                            RefreshGrid3();
                        }
                        else if(id > 0 || id < 0){
                            //$("#TablaGrid3").jqGrid('saveRow', id);
                            //$('#TablaGrid3').jqGrid('editRow', id,true, Events3);
                            BotonDefault3();
                            RefreshGrid3();
                        }
                        else
                        {
                            BotonDefault3();
                            RefreshGrid3();
                        }
                }
                else
                {
                    $('#dlgInformation').html(json.d); 
                    $('#dlgInformation').dialog('open');
                }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid3() {
        
            var lastsel23;
            var colMap = {};
            $("#TablaGrid3").jqGrid({
                datatype: 'local',
                height: 163,
                width: 300,
                colNames: HeaderTable3,
                colModel: [
                            { name: 'Id', index: 'Id', width: 0, sorttype: 'int', hidden: true },
                            { name: 'id_cfag', index: 'id_cfag', width: 10, editable: true, searchoptions:{sopt:ListFindN}, hidden: true }, 
                            { name: 'id_impu', index: 'id_impu', width: 10, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: { <%=cbImpuestos %> } }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel23*/) {

                        if (isNaN(lastsel23) && !isNaN(id)) {
                            $("#TablaGrid3").jqGrid('delRowData', lastsel23);
                            $('#TablaGrid3').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid3').jqGrid('saveRow', lastsel23);
                        }
                        else {
                            BotonGuardar3();
                        }

                        $('#TablaGrid3').jqGrid('editRow', id, true, Events3);

                        lastsel23 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel23*/) {
                        if (isNaN(lastsel23)) {
                            $("#TablaGrid3").jqGrid('delRowData', lastsel23);
                            $('#TablaGrid3').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid3').jqGrid('saveRow', lastsel23);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel23*/) {

                        var ret = jQuery("#TablaGrid3").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarText3').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIcon3').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarText3').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIcon3').attr("src", "img/cross-script.png");
                        }

                        $('#TablaGrid3').jqGrid('setSelection', id);
                    }
                    BotonSelect3();
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid3").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#TablaGrid3").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#TablaGrid3").jqGrid('setRowData',rows[i],false, 
                            //{color:'black',background:'rgb(230,230,250)',font:'italic' });
                            {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador3',
                sortname: 'Desc',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdata3").click(function(){ 
                jQuery("#TablaGrid3").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function Events3(id) {
            $("#" + id + "_id_impu").on('change', function () { BotonGuardar3(); });
        }

        function EventsNew3() {
            var selr = jQuery('#TablaGrid3').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_impu").on('change', function () { BotonGuardar3(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid3()
        {
            $("#TablaGrid3").jqGrid("setGridParam", {datatype: "json", datatype: GetData3, loadonce: true});
            $("#TablaGrid3").trigger("reloadGrid"); 
            $("#TablaGrid3").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid3").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement3()
        {
            $("#TablaGrid3").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardar3();
            EventsNew3();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement3(){
            var id = $("#TablaGrid3").jqGrid('getGridParam','selrow');
            if (id)	{
                //var ret = $("#TablaGrid3").jqGrid('getRowData',id);
                PutData3(id, $('#' + id + '_id_cfag').val(), $('#' + id + '_id_impu').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
	            $('#dlgInformation').dialog('open');
	        }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement3(){
            var id = $("#TablaGrid3").jqGrid('getGridParam','selrow');
            if (id)	{
                var ret = $("#TablaGrid3").jqGrid('getRowData',id);
                PutData3(id, $('#' + id + '_id_cfag').val(), $('#' + id + '_id_impu').val(), 1);
                RefreshGrid3();
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
	            $('#dlgInformation').dialog('open');
	        }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement3(){
            var id = $("#TablaGrid3").jqGrid('getGridParam','selrow');
            if (id)	{
                $('#TablaGrid3').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
	            $('#dlgInformation').dialog('open');
            }
            BotonDefault3();
        }

        function BotonDefault3() {
            $('#btnNuevo3').button('enable');
            $('#btnEliminar3').button('disable');
            $('#btnGuardar3').button('disable');
            $('#btnCancelar3').button('disable');
        }

        function BotonNuevo3() {
            $('#btnNuevo3').button('disable');
            $('#btnEliminar3').button('disable');
            $('#btnGuardar3').button('disable');
            $('#btnCancelar3').button('enable');
        }

        function BotonSelect3() {
            $('#btnNuevo3').button('enable');
            var id = $("#TablaGrid3").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar3').button('enable');
            }
            else {
                $('#btnEliminar3').button('disable');
            }
            $('#btnGuardar3').button('disable');
            $('#btnCancelar3').button('disable');
        }

        function BotonGuardar3() {
            $('#btnNuevo3').button('disable');
            $('#btnEliminar3').button('disable');
            $('#btnGuardar3').button('enable');
            $('#btnCancelar3').button('enable');
        }

        <% /******************************************** Código del Grid #1 - Impuestos ********************************************************/ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData7() {
            $.ajax({
                url: 'Servicio.svc/GetImpuestos',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid7").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid7")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid7").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        function Generar() {
            $.ajax({
                url: 'Servicio.svc/PutServiciosAgenciasGenerar',
                data: { "id_con1": $('#cbConcProdGen').val(), "Impuestos": $("#TablaGrid7").jqGrid('getGridParam','selarrrow').toString()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#dlgGenerar').dialog('close');
                        RefreshGrid();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid7() {
        
            var lastsel27;
            var colMap = {};
            $("#TablaGrid7").jqGrid({
                datatype: 'local',
                height: 150,
                width: 400,
                colNames: ['Index', '<%=L.LBL("LblGENDescription") %>', '', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Desc', index: 'Desc', width: 30, search:false, hidden: false },
   		                    { name: 'Porc', index: 'Porc', width: 10, search:false, hidden: true },
                            { name: 'Canje', index: 'Canje', width: 10, search:false, hidden: true },
                            { name: 'Nivel', index: 'Nivel', width: 10, search:false, hidden: true },
                            { name: 'ApliSup', index: 'ApliSup', width: 10, search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel27*/) {

                        if (isNaN(lastsel27) && !isNaN(id)) {
                            $("#TablaGrid7").jqGrid('delRowData', lastsel27);
                            //$('#TablaGrid7').jqGrid('resetSelection');
                        }

                        //$('#TablaGrid7').jqGrid('editRow', id, true);

                        lastsel27 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel27*/) {
                        if (isNaN(lastsel27)) {
                            $("#TablaGrid7").jqGrid('delRowData', lastsel27);
                            $('#TablaGrid7').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid7').jqGrid('saveRow', lastsel27);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel27*/) {
                        if (!isNaN(id)) {
                            $('#TablaGrid7').jqGrid('restoreRow', id);
                        }

                        //$('#TablaGrid7').jqGrid('setSelection', id);
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador7',
                multiselect: true,
                sortname: 'Nac',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid7()
        {
            $("#TablaGrid7").jqGrid("setGridParam", {datatype: "json", datatype: GetData7, loadonce: true});
            $("#TablaGrid7").trigger("reloadGrid"); 
            $("#TablaGrid7").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid7").jqGrid('delRowData', 0);
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgGenerar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 337,
                width: 430,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 2);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#SATabs').tabs();

            $('#SATabs').tabs("disable", 1);
            $('#SATabs').tabs("enable", 0);

            $("#SAFechaFija").datepicker('disable');

            LoadGrid();
            LoadGrid2();
            LoadGrid3();
            LoadGrid7();

            RefreshGrid();
            RefreshGrid7();

            BotonDefault();
            BotonDefault2();
            BotonDefault3();

            InitializeComponents();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M3';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ServiciosAgencias.aspx"><%=L.TIT("ServiciosAgencias") %> [2.4]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <div id="dlgGenerar" title="<%=L.LBL("LblFDKSGenerarUsos") %>" style="text-align: center;padding-top: 25px">
                    <table>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENProductionConcept")%>
                            </td>
                            <td>
                                <%=cbConcProdGen %>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <table id="TablaGrid7"></table>
                                <div id="Paginador7" ></div>
                            </td>
                        </tr>
                    </table>

                    <table width="100%">
                        <tr>
                            <td colspan="4">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnGenerar2" onclick="Generar();">
                                                <table>
                                                <tr><td>
                                                <img src="img/wand-magic.png" 
                                                 alt="<%=L.LBL("LblFDKSGenerar") %>" />
                                                </td><td>
                                                <%=L.LBL("LblFDKSGenerar") %>
                                                </td></tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCerrar2" onclick="$('#dlgGenerar').dialog('close');">
                                                    <table><tr><td><img src="img/door-open-in.png" alt="<%=L.LBL("LblGENClose") %>" /></td><td><%=L.LBL("LblGENClose") %></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ServiciosAgencias") %> [2.4]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefault();RefreshGrid();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/2-4-servicios-de-agencia/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <table id="TablaGrid"></table>
                <div id="Paginador" ></div>

                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="btnGenerar" onclick="$('#dlgGenerar').dialog('open');">
                                            <table>
                                            <tr><td>
                                            <img src="img/wand-magic.png" 
                                             alt="<%=L.LBL("LblFDKSGenerarUsos") %>" />
                                            </td><td>
                                            <%=L.LBL("LblFDKSGenerarUsos") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="bsdata" value="Search" >
                                            <table>
                                            <tr><td>
                                            <img src="img/binocular.png" 
                                             alt="<%=L.LBL("LblGENSearch") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENSearch") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevo" onclick="CreateElement();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminar" onclick="DeleteElement();">
                                            <table><tr><td><img id="btnEliminarIcon" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarText"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardar" onclick="SaveElement();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelar" onclick="CancelElement();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%;">
                            <div id="SATabs" style="padding: 0px;">
                                <ul>
                                    <li>
                                        <a href="#NoComp">
                                            <table>
                                                <tr>
                                                    <td><img src="img/layer.png" /></td>
                                                    <td><span style="font-size: 7pt;"><%=Seven.Front.Settings.L.LBL("LblFDKSSANoCompuesto") %></span></td>
                                                </tr>
                                            </table>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#Comp">
                                            <table>
                                                <tr>
                                                    <td><img src="img/layers-stack.png" /></td>
                                                    <td><span style="font-size: 7pt;"><%=Seven.Front.Settings.L.LBL("LblFDKSSACompuesto") %></span></td>
                                                </tr>
                                            </table>
                                        </a>
                                    </li>
                                </ul>

                                <div id="NoComp" style="text-align: center;">
                                    <br /><br /><br />
                                    <input type="radio" id="rbTipo_1" name="rbTipo" value="1" checked="checked" onclick="$('#rbTipo_0').prop('checked', false); $('#cbConcProd').prop('disabled', false);" /> <%=L.LBL("LblGENQuantity") %>
                                    <input type="radio" id="rbTipo_0" value="0" onclick="$('#rbTipo_1').prop('checked', false); $('#cbConcProd').prop('disabled', true);" /> <%=L.LBL("LblGENPercent") %>
                                    <br /><br />
                                    <b><%=L.LBL("LblGENProductionConcept") %></b>
                                    <br /><br />
                                    <%=cbConcProd %>
                                    <br /><br />
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="width: 30%; text-align: right;">
                                                <%=L.LBL("LblFDKSTSAFechaFija") %>:
                                            </td>
                                            <td style="width: 50%;">
                                                <input type="text" id="SAFechaFija" class="eligeFecha" size="10" />
                                            </td>
                                        </tr>
                                    </table>
                                    <br /><br /><br />
                                </div>

                                <div id="Comp" style="height: 100%;">
                                    <table>
                                        <tr>
                                            <td>
                                                <%=L.LBL("LblFDKSSADiferenciaPrecio") %>:
                                            </td>
                                            <td>
                                                <%=cbSADiferenciaPrecio %>
                                            </td>
                                        </tr>
                                    </table>

                                    <fieldset>
                                        <legend><b><%=L.TIT("ServiciosSimplesAgencias") %> - <span id="TitSubElement2"></span></b></legend>

                                        <table id="TablaGrid2"></table>

                                        <table width="100%">
                                            <tr>
                                                <td colspan="4">
                                                    <table width="100%">
                                                        <tr>
                                                            <td width="100%"></td>
                                                            <td>
                                                                <button type="button" id="btnNuevo2" onclick="CreateElement2();">
                                                                    <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnEliminar2" onclick="DeleteElement2();">
                                                                    <table><tr><td><img src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnGuardar2" onclick="SaveElement2();">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnCancelar2" onclick="CancelElement2();">
                                                                        <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>

                                    </fieldset>
                                </div>


                            </div>
                        </td>
                        <td>
                            <fieldset>
                                <legend><b><%=L.TIT("Impuestos") %> - <span id="TitSubElement"></span></b></legend>

                                <input type="hidden" id="IdSubElement" value="0" />

                                <table id="TablaGrid3"></table>

                                <table width="100%">
                                    <tr>
                                        <td colspan="4">
                                            <table width="100%">
                                                <tr>
                                                    <td width="100%"></td>
                                                    <td>
                                                        <button type="button" id="btnNuevo3" onclick="CreateElement3();">
                                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnEliminar3" onclick="DeleteElement3();">
                                                            <table><tr><td><img src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnGuardar3" onclick="SaveElement3();">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnCancelar3" onclick="CancelElement3();">
                                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>

                            </fieldset>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

