﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Tarifas.aspx.cs" Inherits="Seven.Front.Settings.Tarifas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <% 
        
        /* Índice de Código
         * 
         * JQ01 - Grid Principal Tarifas
         * JQ02 - Grid de Precios de Agencia
         * JQ03 - Grid de Precios de Agencia - Detalle
         * JQ04 - Grid de Precios de Directos
         * JQ05 - Grid de Precios de Directos - Detalle
         * JQ06 - Grid de Release del Contrato
         * JQ07 - Grid de Impuestos del Contrato
         * JQ08 - Grid de Compartir Cupos
         * JQ09 - Grid de Cambio de Tasa a Contratos por Moneda
         * JQ10 - Grid de Perfiles
         * 
         * JS_FUN     - Funciones Javascript
         * JS_FUN_PER - Funciones Javascript de Perfiles
         * JS_DOC     - Funciones Javascript en Document.Ready()
         * 
         * DLG_VAR    - Diálogos Varios
         * DLG_DUP    - Diálogo de Duplicar Contrato
         * DLG_BUSCAR - Diálogo para Filtrar Contratos
         * DLG_TASA   - Diálogo para Cambiar Tasa a Contratos por Moneda
         * DLG_CUPOS  - Diálogo de Compartir Cupos
         * DLG_TASA   - Diálogo de Cambio de Tasa a Contratos por Moneda
         * DLG_PER    - Diálogo de Perfiles
         * 
         * TIT - Título
         * 
         * HH - Hidden Hive - Alamacen de datos en campos ocultos
         * 
         * B01 - Cuerpo Grid y Formulario Tarifas
         * B02 - Tabs de Tarifas
         * B03 - Tab de Precios de Agencia
         * B04 - Tab de Precios de Directo
         * B05 - Tab de Release del Contrato
         * B06 - Tab de Impuestos del Contrato
         * 
         */
        
    %>

    <title><%=L.TIT("Tarifas") %> [1.5]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        var HeaderTableCON = <%=L.LBL("LblFDKSTarifas") %>;
        var HeaderTablePA = <%=L.LBL("LblFDKSTarifaPreciosEmpr") %>;
        var HeaderTablePAD = <%=L.LBL("LblFDKSTarifaPreciosEmprDet") %>;
        var HeaderTablePD = <%=L.LBL("LblFDKSTarifaPreciosDir") %>;
        var HeaderTablePDD = <%=L.LBL("LblFDKSTarifaPreciosDirDet") %>;
        var HeaderTableCI = <%=L.LBL("LblFDKSTarifaImpuestos") %>;
        var HeaderTableCR = <%=L.LBL("LblFDKSTarifaRelease") %>;
        var HeaderTableCC = <%=L.LBL("LblFDKSTarifaCompartirCupos") %>;
        var HeaderTableCT = <%=L.LBL("LblFDKSTarifaTasa") %>;

        <% /* JQ01 */%>

        <% /* Código del jqGrid para Tarifas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetCON() {
            $.ajax({
                url: 'Servicio.svc/GetContratos',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "Fil_Codigo": $("input[name=cbFilCodigo]:checked").val(), "vFil_Codigo": $('#txtFilCodigo').val()
                , "Fil_Descripcion": $("input[name=cbFilDescripcion]:checked").val(), "vFil_Descripcion": $('#txtFilDescripcion').val()
                , "Fil_Empresa": $("input[name=cbFilEmpresa]:checked").val(), "vFil_Empresa": $('#cbEmpresaTarifa').val()
                , "Fil_Mercado": $("input[name=cbFilMercado]:checked").val(), "vFil_Mercado": $('#cbMercadoTarifa').val()
                , "Fil_Moneda": $("input[name=cbFilMoneda]:checked").val(), "vFil_Moneda": $('#cbMonedaTarifa').val()
                , "Fil_Nacionalidad": $("input[name=cbFilNacionalidad]:checked").val(), "vFil_Nacionalidad": $('#cbNacionalidadTarifa').val()
                , "Fil_Temporada": $("input[name=cbFilTemporada]:checked").val(), "vFil_Temporada": $('#cbTemporadaTarifa').val()
                , "Fil_Plantilla": $("input[name=cbFilPlantilla]:checked").val(), "vFil_Plantilla": $('#cbPlantillaTarifa').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $("#dlgCargando").dialog('open');
                },
                success: function (json) {
                    $("#dlgCargando").dialog('close');
                    try{
                        $("#jqgCON").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgCON")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgCON").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch(err) {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function GetCONT(id) {
            $.ajax({
                url: 'Servicio.svc/GetContrato',
                data: {
                    "id_cont": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $("#dlgCargando").dialog('open');
                },
                success: function (json) {
                    $("#dlgCargando").dialog('close');
                    $("#HIDCON").html(json.d);
                    LoadForm(id);
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutCON(id, contrato, desc_cont, id_naci, id_agen, id_merc, id_dcto, id_temp, id_mone, tasa_fija, dega_oblig, frec_sabana, id_cuenta, max_dias, max_saldo, id_cardex, observ, TipoContrato, eliminado) {
            $.ajax({
                url: 'Servicio.svc/PutContratos',
                data: {
                    "id_cont": $('#IdSubElement').val(), "contrato": contrato, "desc_cont": desc_cont, "id_naci": id_naci, "id_agen": id_agen
                , "id_merc": id_merc, "id_dcto": id_dcto, "id_temp": id_temp, "id_mone": id_mone, "tasa_fija": tasa_fija, "dega_oblig": dega_oblig
                , "frec_sabana": frec_sabana, "id_cuenta": id_cuenta, "max_dias": max_dias, "max_saldo": max_saldo, "id_cardex": $('#IdSubElementCARE').val(), "observ": observ
                , "TipoContrato": TipoContrato, "id_plnt": $('#cbPlantilla').val(), "eliminado": eliminado
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (id > 0 || id < 0) {
                            //$("#jqgCON").jqGrid('saveRow', id);
                            //$('#jqgCON').jqGrid('editRow', id, true, EventsCON);
                            //BotonSelectCON();
                            BotonDefaultCON();
                            RefreshGridCON();
                        }
                        else {
                            $('#IdSubElement').val(res);
                            BotonDefaultCON();
                            RefreshGridCON();
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelCON(id) {
            $.ajax({
                url: 'Servicio.svc/DelContratos',
                data: {
                    "id_cont": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res == 1) {
                        BotonDefaultCON();
                        RefreshGridCON();
                        ResetForm();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridCON() {

            $('#FirstLoad3').val(1);
            $('#FirstLoad4').val(1);

            var lselCON;
            var colMap = {};
            $("#jqgCON").jqGrid({
                datatype: 'local',
                height: 450,
                width: 150,
                colNames: HeaderTableCON,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'contrato', index: 'contrato', width: 10, editable: true, search: false },
                            { name: 'desc_cont', index: 'desc_cont', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_naci', index: 'id_naci', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_agen', index: 'id_agen', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_merc', index: 'id_merc', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_dcto', index: 'id_dcto', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_temp', index: 'id_temp', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_mone', index: 'id_mone', width: 10, editable: true, search: false, hidden: true },
                            { name: 'tasa_fija', index: 'tasa_fija', width: 10, editable: true, search: false, hidden: true },
                            { name: 'dega_oblig', index: 'dega_oblig', width: 10, editable: true, search: false, hidden: true },
                            { name: 'frec_sabana', index: 'frec_sabana', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_cuenta', index: 'id_cuenta', width: 10, editable: true, search: false, hidden: true },
                            { name: 'max_dias', index: 'max_dias', width: 10, editable: true, search: false, hidden: true },
                            { name: 'max_saldo', index: 'max_saldo', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_cardex', index: 'id_cardex', width: 10, editable: true, search: false, hidden: true },
                            { name: 'observ', index: 'observ', width: 10, editable: true, search: false, hidden: true },
                            { name: 'TipoContrato', index: 'TipoContrato', width: 10, editable: true, search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselCON) && !isNaN(id)) {
                            $("#jqgCON").jqGrid('delRowData', lselCON);
                            //$('#jqgCON').jqGrid('resetSelection');
                        }

                        $('#jqgCON').jqGrid('restoreRow', lselCON);
                        //$('#jqgCON').jqGrid('editRow', id, true, EventsCON);

                        if(!isNaN(id))
                        {
                            GetCONT(id);
                        }

                        lselCON = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselCON)) {
                            $("#jqgCON").jqGrid('delRowData', lselCON);
                            $('#jqgCON').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgCON').jqGrid('saveRow', lselCON);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {

                        var ret = jQuery("#jqgCON").jqGrid('getRowData', id);
                        var status = ret.desc_cont;

                        if (status == "True") {
                            $('#btnEliminarTextCON').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconCON').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextCON').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconCON').attr("src", "img/cross-script.png");
                        }

                        $('#FirstLoad3').val(1);
                        $('#FirstLoad4').val(1);

                        //$('#jqgCON').jqGrid('setSelection', id);

                        BotonSelectCON();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgCON").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {

                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#jqgCON").getCell(rows[i], "Id"));
                        }

                        var status = $("#jqgCON").getCell(rows[i], "desc_cont");

                        if (status == "True") {
                            $("#jqgCON").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgCON').jqGrid('setSelection', $('#IdSubElement').val());
                    if(parseInt($('#IdSubElement').val()) != 0)
                    {
                        BotonSelectCON();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorCON',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, 
                scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

        }

        function InitializeComponentsCON() {
            $("#txtcontrato").on('input', function () { BotonGuardarCON(); });
            $("#txtdesc_cont").on('input', function () { BotonGuardarCON(); });
            $("#cbNacionalidad").on('change', function () { BotonGuardarCON(); });
            $("#cbEmpresa").on('change', function () { BotonGuardarCON(); });
            $("#cbMercado").on('change', function () { BotonGuardarCON(); });
            $("#cbDescuento").on('change', function () { BotonGuardarCON(); });
            $("#cbTemporada").on('change', function () { BotonGuardarCON(); });
            $("#cbMoneda").on('change', function () { BotonGuardarCON(); });
            $("#txttasa_fija").on('input', function () { BotonGuardarCON(); });
            $("#cbdega_oblig").on('change', function () { BotonGuardarCON(); });
            $("#txtfrec_sabana").on('input', function () { BotonGuardarCON(); });
            $("#cbCuenta").on('change', function () { BotonGuardarCON(); });
            $("#txtmax_dias").on('input', function () { BotonGuardarCON(); });
            $("#txtmax_saldo").on('input', function () { BotonGuardarCON(); });
            $("#cbTipoContrato").on('change', function () { BotonGuardarCON(); });
            $("#cbPlantilla").on('change', function () { BotonGuardarCON(); });
        }


        function EventsCON(id) {
            $("#" + id + "_contrato").on('input', function () { BotonGuardarCON(); });
            $("#" + id + "_desc_cont").on('input', function () { BotonGuardarCON(); });
            $("#" + id + "_id_naci").on('change', function () { BotonGuardarCON(); });
            $("#" + id + "_id_agen").on('change', function () { BotonGuardarCON(); });
            $("#" + id + "_id_merc").on('change', function () { BotonGuardarCON(); });
            $("#" + id + "_id_dcto").on('change', function () { BotonGuardarCON(); });
            $("#" + id + "_id_temp").on('change', function () { BotonGuardarCON(); });
            $("#" + id + "_id_mone").on('change', function () { BotonGuardarCON(); });
            $("#" + id + "_tasa_fija").on('input', function () { BotonGuardarCON(); });
            $("#" + id + "_dega_oblig").on('change', function () { BotonGuardarCON(); });
            $("#" + id + "_frec_sabana").on('input', function () { BotonGuardarCON(); });
            $("#" + id + "_id_cuenta").on('change', function () { BotonGuardarCON(); });
            $("#" + id + "_max_dias").on('input', function () { BotonGuardarCON(); });
            $("#" + id + "_max_saldo").on('input', function () { BotonGuardarCON(); });
            $("#" + id + "_id_cardex").on('change', function () { BotonGuardarCON(); });
            $("#" + id + "_observ").on('input', function () { BotonGuardarCON(); });
            $("#" + id + "_TipoContrato").on('change', function () { BotonGuardarCON(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarCON(); });
        }

        function EventsNewCON() {
            var selr = jQuery('#jqgCON').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_contrato").on('input', function () { BotonGuardarCON(); });
            $("#" + selr + "_desc_cont").on('input', function () { BotonGuardarCON(); });
            $("#" + selr + "_id_naci").on('change', function () { BotonGuardarCON(); });
            $("#" + selr + "_id_agen").on('change', function () { BotonGuardarCON(); });
            $("#" + selr + "_id_merc").on('change', function () { BotonGuardarCON(); });
            $("#" + selr + "_id_dcto").on('change', function () { BotonGuardarCON(); });
            $("#" + selr + "_id_temp").on('change', function () { BotonGuardarCON(); });
            $("#" + selr + "_id_mone").on('change', function () { BotonGuardarCON(); });
            $("#" + selr + "_tasa_fija").on('input', function () { BotonGuardarCON(); });
            $("#" + selr + "_dega_oblig").on('change', function () { BotonGuardarCON(); });
            $("#" + selr + "_frec_sabana").on('input', function () { BotonGuardarCON(); });
            $("#" + selr + "_id_cuenta").on('change', function () { BotonGuardarCON(); });
            $("#" + selr + "_max_dias").on('input', function () { BotonGuardarCON(); });
            $("#" + selr + "_max_saldo").on('input', function () { BotonGuardarCON(); });
            $("#" + selr + "_id_cardex").on('change', function () { BotonGuardarCON(); });
            $("#" + selr + "_observ").on('input', function () { BotonGuardarCON(); });
            $("#" + selr + "_TipoContrato").on('change', function () { BotonGuardarCON(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarCON(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridCON() {
            $("#jqgCON").jqGrid("setGridParam", { datatype: "json", datatype: GetCON, loadonce: true });
            $("#jqgCON").trigger("reloadGrid");
            $("#jqgCON").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        function ResetForm()
        {
            $('#IdSubElement').val(0);
            $('#IdSubElement3').val(0);
            $('#IdSubElement4').val(0);
            $('#IdSubElement5').val(0);

            $('#TitSubElement3').html('');
            $("#jqgPAD").jqGrid("clearGridData", true);
            $('#TitSubElement4').html('');
            $("#jqgPDD").jqGrid("clearGridData", true);

            $('#TitSubElement').html('');

            $('#txtcontrato').val('');
            $('#txtdesc_cont').val('');
            $('#cbNacionalidad').val(<%=gen.default_nac %>);
            $('#cbEmpresa').val(0);
            $('#cbMercado').val(0);
            $('#cbDescuento').val(0);
            $('#cbTemporada').val(0);
            $('#cbMoneda').val(0);
            $('#txttasa_fija').val(0);
            $('#cbdega_oblig').prop('checked', false);
            $('#txtfrec_sabana').val(1);
            $('#cbCuenta').val(0);
            $('#txtmax_dias').val(0);
            $('#txtmax_saldo').val(0);
            $('#IdSubElementCARE').val(0);
            $('#imgKardex01').attr("src", "img/Seven/Kardex.png");
            $('#hidobserv').val('');
            $('#txtobserv').val('');
            $('#cbTipoContrato').prop('checked', false);
            $('#btnObservaciones').css('color', 'black');
            $('#cbPlantilla').val(0);
            $('#cbTemporada').prop('disabled', false);

            $('#txtcontrato').prop('readonly', false);

            RefreshGridCI();
            RefreshGridCR();
            RefreshGridPA();
            RefreshGridPAD();
            RefreshGridPD();
            RefreshGridPDD();
        }

        function LoadForm(id)
        {
            var ret = $("#jqgCON").jqGrid('getRowData', id);

            $('#IdSubElement').val(ret.Id);

            $('#IdSubElement3').val(0);
            $('#TitSubElement3').html('');
            $("#jqgPAD").jqGrid("clearGridData", true);
            $('#IdSubElement4').val(0);
            $('#TitSubElement4').html('');
            $("#jqgPDD").jqGrid("clearGridData", true);

            $('#FirstLoad3').val(1);
            $('#FirstLoad4').val(1);

            $('#TitSubElement').html($('#HIDCON_contrato').val() + " - " + $('#HIDCON_desc_cont').val());

            $('#txtcontrato').val($('#HIDCON_contrato').val());
            $('#txtdesc_cont').val($('#HIDCON_desc_cont').val());
            $('#cbNacionalidad').val($('#HIDCON_id_naci').val());
            $('#cbEmpresa').val($('#HIDCON_id_agen').val());
            $('#cbMercado').val($('#HIDCON_id_merc').val());
            $('#cbDescuento').val($('#HIDCON_id_dcto').val());
            $('#cbTemporada').val($('#HIDCON_id_temp').val());
            $('#cbMoneda').val($('#HIDCON_id_mone').val());
            $('#txttasa_fija').val($('#HIDCON_tasa_fija').val());

            if($('#HIDCON_dega_oblig').val() == "True")
            {
                $('#cbdega_oblig').prop('checked', true);
            }
            else
            {
                $('#cbdega_oblig').prop('checked', false);
            }
            
            $('#txtfrec_sabana').val($('#HIDCON_frec_sabana').val());
            $('#cbCuenta').val($('#HIDCON_id_cuenta').val());
            $('#txtmax_dias').val($('#HIDCON_max_dias').val());
            $('#txtmax_saldo').val($('#HIDCON_max_saldo').val());
            $('#IdSubElementCARE').val($('#HIDCON_id_cardex').val());

            if(parseInt($('#HIDCON_id_cardex').val()) != 0)
            {
                $('#imgKardex01').attr("src", "img/Seven/KardexDel.png");
            }
            else
            {
                $('#imgKardex01').attr("src", "img/Seven/Kardex.png");
            }
            $('#hidobserv').val($('#HIDCON_observ').val());
            $('#txtobserv').val($('#HIDCON_observ').val());
            if($('#HIDCON_TipoContrato').val() == "True")
            {
                $('#cbTipoContrato').prop('checked', true);
            }
            else
            {
                $('#cbTipoContrato').prop('checked', false);
            }

            if($('#HIDCON_observ').val().length > 0)
            {
                $('#btnObservaciones').css('color', 'red');
            }
            else
            {
                $('#btnObservaciones').css('color', 'black');
            }

            $('#cbPlantilla').val($('#HIDCON_id_plnt').val());

            $('#txtcontrato').prop('readonly', true);

            if(parseInt($('#Hid_Directo' + $('#HIDCON_id_agen').val()).val()) == 1)
            {
                $('#TarifasTabs').tabs("disable", 0);
                $('#TarifasTabs').tabs("enable", 1);
                
                if($("#TarifasTabs").tabs('option', 'active') == 0)
                {
                    $('#TarifasTabs').tabs("option", "active", 1);
                }

                $('#btnGenerarPD').button('enable');
                $('#btnGenerarPA').button('disable');
            }
            else
            {
                $('#TarifasTabs').tabs("enable", 1);
                $('#TarifasTabs').tabs("enable", 0);
                
                if($("#TarifasTabs").tabs('option', 'active') == 1)
                {
                    $('#TarifasTabs').tabs("option", "active", 0);
                }

                $('#btnGenerarPA').button('enable');
                $('#btnGenerarPD').button('disable');
            }
            $('#cbTemporada').prop('disabled', true);

            RefreshGridCI();
            RefreshGridCR();
            RefreshGridPA();
            //RefreshGridPAD();
            RefreshGridPD();
            //RefreshGridPDD();
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateCON() {
            ResetForm();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveCON() {
            PutCON($('#IdSubElement').val(), $('#txtcontrato').val(), $('#txtdesc_cont').val(), 
                $('#cbNacionalidad').val(), $('#cbEmpresa').val(), $('#cbMercado').val(), 
                $('#cbDescuento').val(), $('#cbTemporada').val(), $('#cbMoneda').val(), 
                $('#txttasa_fija').val(), $('input[name=cbdega_oblig]:checked').val(), 
                $('#txtfrec_sabana').val(), $('#cbCuenta').val(), 
                $('#txtmax_dias').val(), $('#txtmax_saldo').val(), 
                $('#IdSubElementCARE').val(), $('#txtobserv').val(), 
                $('input[name=cbTipoContrato]:checked').val(), $('#txteliminado').val());
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteCON() {
            var id = parseInt($('#IdSubElement').val());
            if (id > 0 || id < 0) {
                DelCON(id);
                RefreshGridCON();
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
	            $('#dlgInformation').dialog('open');
	        }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelCON() {
            var id = $("#jqgCON").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgCON').jqGrid('setSelection', id);
            }
            else {
                ResetForm();
	        }
            BotonDefaultCON();
        }

        function BotonDefaultCON() {
            $('#btnNuevoCON').button('enable');
            $('#btnEliminarCON').button('disable');
            $('#btnGuardarCON').button('disable');
            $('#btnCancelarCON').button('disable');
        }

        function BotonNuevoCON() {
            $('#btnNuevoCON').button('disable');
            $('#btnEliminarCON').button('disable');
            $('#btnGuardarCON').button('disable');
            $('#btnCancelarCON').button('enable');
        }

        function BotonSelectCON() {
            $('#btnNuevoCON').button('enable');
            var id = $("#jqgCON").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarCON').button('enable');
            }
            else {
                $('#btnEliminarCON').button('disable');
            }
            $('#btnGuardarCON').button('disable');
            $('#btnCancelarCON').button('disable');
        }

        function BotonGuardarCON() {
            $('#btnNuevoCON').button('disable');
            $('#btnEliminarCON').button('disable');
            $('#btnGuardarCON').button('enable');
            $('#btnCancelarCON').button('enable');
        }

        <% /* JQ02 */%>

        <% /* Código del jqGrid para Precios de Agencias */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPA() {
            $.ajax({
                url: 'Servicio.svc/GetContratoPreciosEmpresa',
                data: { "id_cont": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#PrecAgen').css("color", "red");
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    $("#jqgPA").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgPA")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgPA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#PrecAgen').css("color", "green");
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutPA(id, id_cont, id_cfag, porpax, factor_div, automatico) {
            $.ajax({
                url: 'Servicio.svc/PutContratoPreciosEmpresa',
                data: { "id_ccon": id, "id_cont": $('#IdSubElement').val(), "id_cfag": id_cfag, "porpax": porpax, "factor_div": factor_div, "automatico": automatico
                , "Detalles": JSON.stringify($("#jqgPAD").jqGrid('getGridParam','data'))
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(!isNaN(res))
                    {
                        if(id > 0 || id < 0){
                            //$("#jqgPA").jqGrid('saveRow', id);
                            //$('#jqgPA').jqGrid('editRow', id, true, EventsPA);
                            //BotonSelectPA();
                            BotonDefaultPA();
                            RefreshGridPA();
                            RefreshGridPAD();
                        }
                        else
                        {
                            $('#IdSubElement3').val(res);
                            BotonDefaultPA();
                            RefreshGridPA(); 
                            RefreshGridPAD();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelPA(id) {
            $.ajax({
                url: 'Servicio.svc/DelContratoPreciosEmpresa',
                data: { "id_ccon": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement3').val(0);
                        $('#TitSubElement3').html('');
                        RefreshGridPAD();
                        BotonDefaultPA();
                        RefreshGridPA();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPA() {
        
            var lselPA;
            var colMap = {};
            $("#jqgPA").jqGrid({
                datatype: 'local',
                height: 100,
                width: 220,
                colNames:  HeaderTablePA,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_cont', index: 'id_cont', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'id_cfag', index: 'id_cfag', width: 10, editable: true,formatter:'select', stype:'select', edittype:'select', editoptions: {<%=cbServiciosAgencias %>} }, 
                            { name: 'porpax', index: 'porpax', width: 10, editable: true, search : false, 
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'factor_div', index: 'factor_div', width: 6, editable: true, searchoptions:{sopt:ListFindN} }, 
                            { name: 'automatico', index: 'automatico', width: 6, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } },
                            { name: 'id_ralo', index: 'id_ralo', width: 10, editable: true, search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true },
                            { name: 'tipo', index: 'tipo', width: 10, editable: false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPA) && !isNaN(id))
                        {
                            $("#jqgPA").jqGrid('delRowData', lselPA);
                            //$('#jqgPA').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgPA').jqGrid('restoreRow',lselPA);
                        }
                        else
                        {
                            BotonNuevoPA();
                        }

                        $('#jqgPA').jqGrid('editRow', id, true, EventsPA);

                        if(!isNaN(id))
                        {
                            var dropdown = $('#' + id + '_id_cfag')[0];
                            var selectedOption = dropdown.options[dropdown.selectedIndex];
                            var selectedText = selectedOption.text; 
                            $('#TitSubElement3').html(selectedText);
                        }
                       
                        lselPA=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPA))
                        {
                            $("#jqgPA").jqGrid('delRowData', lselPA);
                            $('#jqgPA').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPA').jqGrid('saveRow',lselPA);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgPA').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgPA").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPA').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPA').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPA').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPA').attr("src", "img/cross-script.png");
                        }

                        if(!isNaN(id))
                        {
                            $('#IdSubElement3').val(ret.Id); 

                            RefreshGridPAD();
                        }

                        //$('#jqgPA').jqGrid('setSelection', id); 

                        BotonSelectPA();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPA").getDataIDs(); 

                    var firstid;
                    var primero = true;

                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(primero)
                        {
                            firstid = rows[i];
                            primero = false;
                        }

                        var status  = $("#jqgPA").getCell(rows[i],"Eli");
                        var id_ralo  = parseInt($("#jqgPA").getCell(rows[i],"id_ralo"));

                        if(status == "True")
                        {
                            $("#jqgPA").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        var tipo  = $("#jqgPA").getCell(rows[i],"tipo");

                        if(tipo == 5 || tipo == 6)
                        {
                            $("#jqgPA").jqGrid('setRowData',rows[i],false, 
                            {color:'purple',font:'italic' });
                        }

                        if(id_ralo != 0)
                        {
                            $("#jqgPA").jqGrid('setRowData',rows[i],false,'actRow');
                        }
                        else
                        {
                            $("#jqgPA").jqGrid('setRowData',rows[i],false,'inactRow');
                        }

                        if(!primero && parseInt($('#FirstLoad3').val()) == 1)
                        {
                            var ret = jQuery("#jqgPA").jqGrid('getRowData', firstid); 

                            if(!isNaN(ret.Id)) 
                            {
                                $('#IdSubElement3').val(ret.Id); 
                                RefreshGridPAD();

                                $('#FirstLoad3').val(0);
                            }
                        }
                    }
                    $('#jqgPA').jqGrid('setSelection', $('#IdSubElement3').val());
                    if(parseInt($('#IdSubElement3').val()) != 0)
                    {
                        BotonSelectPA();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorPA',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataPA").click(function(){ 
                jQuery("#jqgPA").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPA(id) {
            $("#" + id + "_id_cont").on('change', function () { BotonGuardarPA(); });
            $("#" + id + "_id_cfag").on('change', function () { BotonGuardarPA(); });
            $("#" + id + "_porpax").on('change', function () { BotonGuardarPA(); });
            $("#" + id + "_factor_div").on('input', function () { BotonGuardarPA(); });
            $("#" + id + "_automatico").on('change', function () { BotonGuardarPA(); });
        }

        function EventsNewPA() {
            var selr = jQuery('#jqgPA').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_cont").on('change', function () { BotonGuardarPA(); });
            $("#" + selr + "_id_cfag").on('change', function () { BotonGuardarPA(); });
            $("#" + selr + "_porpax").on('change', function () { BotonGuardarPA(); });
            $("#" + selr + "_factor_div").on('input', function () { BotonGuardarPA(); });
            $("#" + selr + "_automatico").on('change', function () { BotonGuardarPA(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPA()
        {
            $("#jqgPA").jqGrid("setGridParam", {datatype: "json", datatype: GetPA, loadonce: true});
            $("#jqgPA").trigger("reloadGrid"); 
            $("#jqgPA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreatePA()
        {
            $('#IdSubElement3').val(0);
            $('#TitSubElement3').html('');
            RefreshGridPAD();

            $("#jqgPA").jqGrid('addRow',{
                initdata : {'Id': '0', 'factor_div': '1', 'porpax': 'True', 'automatico': 'True'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardarPA();
            EventsNewPA();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SavePA(){
	        var id = $("#jqgPA").jqGrid('getGridParam','selrow');
	        if (id)	{
                $('#jqgPAD').jqGrid('saveRow', $("#jqgPAD").jqGrid('getGridParam','selrow'));
                PutPA(id, $('#' + id + '_id_cont').val(), $('#' + id + '_id_cfag').val()
                    , $('#' + id + '_porpax:checked').val(), $('#' + id + '_factor_div').val(), $('#' + id + '_automatico:checked').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeletePA(){
	        var id = $("#jqgPA").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgPA").jqGrid('getRowData',id);
                DelPA(id);
                RefreshGridPA();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelPA(){
	        var id = $("#jqgPA").jqGrid('getGridParam','selrow');
	        if (id)	{
	            $('#jqgPA').restoreRow(id);
	            $('#jqgPA').jqGrid('editRow', id, true, EventsPA);

                if(!isNaN(id))
                {
                    RefreshGridPAD();
                }
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonSelectPA();
        }

        function BotonDefaultPA() {
            if(parseInt($('#cbPlantilla').val()) == 0)
            {
                $('#btnNuevoPA').button('enable');
                $('#btnEliminarPA').button('disable');
                $('#btnGuardarPA').button('disable');
                $('#btnCancelarPA').button('disable');
            }
            else
            {
                $('#btnNuevoPA').button('disable');
                $('#btnEliminarPA').button('disable');
                $('#btnGuardarPA').button('disable');
                $('#btnCancelarPA').button('disable');
                $('#btnGenerarPA').button('disable');
            }
        }

        function BotonNuevoPA() {
            if(parseInt($('#cbPlantilla').val()) == 0)
            {
                $('#btnNuevoPA').button('disable');
                $('#btnEliminarPA').button('disable');
                $('#btnGuardarPA').button('disable');
                $('#btnCancelarPA').button('enable');
            }
            else
            {
                $('#btnNuevoPA').button('disable');
                $('#btnEliminarPA').button('disable');
                $('#btnGuardarPA').button('disable');
                $('#btnCancelarPA').button('disable');
                $('#btnGenerarPA').button('disable');
            }
        }

        function BotonSelectPA() {
            if(parseInt($('#cbPlantilla').val()) == 0)
            {
                $('#btnNuevoPA').button('enable');
                var id = $("#jqgPA").jqGrid('getGridParam', 'selrow');
                if (!isNaN(id)) {
                    $('#btnEliminarPA').button('enable');
                }
                else {
                    $('#btnEliminarPA').button('disable');
                }
                $('#btnGuardarPA').button('disable');
                $('#btnCancelarPA').button('disable');
            }
            else
            {
                $('#btnNuevoPA').button('disable');
                $('#btnEliminarPA').button('disable');
                $('#btnGuardarPA').button('disable');
                $('#btnCancelarPA').button('disable');
                $('#btnGenerarPA').button('disable');
            }
        }

        function BotonGuardarPA() {
            if(parseInt($('#cbPlantilla').val()) == 0)
            {
                $('#btnNuevoPA').button('disable');
                $('#btnEliminarPA').button('disable');
                $('#btnGuardarPA').button('enable');
                $('#btnCancelarPA').button('enable');
            }
            else
            {
                $('#btnNuevoPA').button('disable');
                $('#btnEliminarPA').button('disable');
                $('#btnGuardarPA').button('disable');
                $('#btnCancelarPA').button('disable');
                $('#btnGenerarPA').button('disable');
            }
        }

        <% /* JQ03 */%>

        <% /* Código del jqGrid para Precios de Empresas Detalle */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPAD() {
            $.ajax({
                url: 'Servicio.svc/GetContratoPreciosAgenciaDet',
                data: { "id_ccon": $('#IdSubElement3').val(), "id_temp": $('#cbTemporada').val(), "activos": $('#cbTempActivas:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement3').css("color", "red");
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    $("#jqgPAD").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgPAD")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgPAD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#TitSubElement3').css("color", "green");
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPAD() {
        
            var lselPAD;
            var colMap = {};
            $("#jqgPAD").jqGrid({
                datatype: 'local',
                height: 100,
                width: 300,
                colNames:  HeaderTablePAD,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fecha_desde', index: 'fecha_desde', width: 10, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'fecha_hasta', index: 'fecha_hasta', width: 10, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'precio', index: 'precio', width: 10, editable: true, align: 'right', searchoptions:{sopt:ListFindN} }, 
                            { name: 'activo', index: 'activo', width: 10, editable: true, search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true },
                            { name: 'tipo', index: 'tipo', width: 10, editable: false, hidden: true }
                ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPAD) && !isNaN(id))
                        {
                            $("#jqgPAD").jqGrid('delRowData', lselPAD);
                            $('#jqgPAD').jqGrid('resetSelection');
                        }

                        $('#jqgPAD').jqGrid('saveRow',lselPAD);
                        $('#jqgPAD').jqGrid('editRow', id, true, EventsPAD);
                       
                        lselPAD=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPAD))
                        {
                            $("#jqgPAD").jqGrid('delRowData', lselPAD);
                            $('#jqgPAD').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPAD').jqGrid('saveRow',lselPAD);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        $('#jqgPAD').jqGrid('restoreRow',id);

                        var ret = jQuery("#jqgPAD").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPAD').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPAD').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPAD').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPAD').attr("src", "img/cross-script.png");
                        }

                        $('#jqgPAD').jqGrid('setSelection', id); 

                        //BotonSelectPAD();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPAD").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgPAD").getCell(rows[i],"Eli");
                        var activo  = $("#jqgPAD").getCell(rows[i],"activo");

                        if(status == "True")
                        {
                            $("#jqgPAD").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        var tipo  = $("#jqgPAD").getCell(rows[i],"tipo");

                        if(tipo == 5 || tipo == 6)
                        {
                            $("#jqgPAD").jqGrid('setRowData',rows[i],false, 
                            {color:'purple',font:'italic' });
                        }

                        if(activo == 1)
                        {
                            $("#jqgPAD").jqGrid('setRowData',rows[i],false,'actRow');
                        }
                        else
                        {
                            $("#jqgPAD").jqGrid('setRowData',rows[i],false,'inactRow');
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorPAD',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataPAD").click(function(){ 
                jQuery("#jqgPAD").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPAD(id) {
            $("#" + id + "_fecha_desde").on('input', function () { BotonGuardarPA(); });
            $("#" + id + "_fecha_hasta").on('input', function () { BotonGuardarPA(); });
            $("#" + id + "_precio").on('input', function () { BotonGuardarPA(); });
            $("#" + id + "_activo").on('change', function () { BotonGuardarPA(); });
        }

        function EventsNewPAD() {
            var selr = jQuery('#jqgPAD').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_fecha_desde").on('input', function () { BotonGuardarPA(); });
            $("#" + selr + "_fecha_hasta").on('input', function () { BotonGuardarPA(); });
            $("#" + selr + "_precio").on('input', function () { BotonGuardarPA(); });
            $("#" + selr + "_activo").on('change', function () { BotonGuardarPA(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPAD()
        {
            $("#jqgPAD").jqGrid("setGridParam", {datatype: "json", datatype: GetPAD, loadonce: true});
            $("#jqgPAD").trigger("reloadGrid"); 
            $("#jqgPAD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* JQ04 */%>

        <% /* Código del jqGrid para Precios de Directos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPD() {
            $.ajax({
                url: 'Servicio.svc/GetContratoPreciosDirecto',
                data: { "id_cont": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#PrecDir').css("color", "red");
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    $("#jqgPD").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgPD")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgPD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#PrecDir').css("color", "green");
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutPD(id, id_cont, id_uhab) {
            $.ajax({
                url: 'Servicio.svc/PutContratoPreciosDirecto',
                data: { "id_conh": id, "id_cont": $('#IdSubElement').val(), "id_uhab": id_uhab
                , "Detalles": JSON.stringify($("#jqgPDD").jqGrid('getGridParam','data'))
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(id > 0 || id < 0){
                            //$("#jqgPD").jqGrid('saveRow', id);
                            //$('#jqgPD').jqGrid('editRow', id, true, EventsPD);
                            //BotonSelectPD();
                            BotonDefaultPD();
                            RefreshGridPD();
                            RefreshGridPDD();
                        }
                        else
                        {
                            $('#IdSubElement4').val(res);
                            BotonDefaultPD();
                            RefreshGridPD();
                            RefreshGridPDD();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelPD(id) {
            $.ajax({
                url: 'Servicio.svc/DelContratoPreciosDirecto',
                data: { "id_conh": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement4').val(0);
                        $('#TitSubElement4').html('');
                        RefreshGridPDD();
                        BotonDefaultPD();
                        RefreshGridPD();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPD() {
        
            var lselPD;
            var colMap = {};
            $("#jqgPD").jqGrid({
                datatype: 'local',
                height: 100,
                width: 100,
                colNames:  HeaderTablePD,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_cont', index: 'id_cont', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'id_uhab', index: 'id_uhab', width: 10, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: {<%=cbUsoHabitaciones %>} },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPD) && !isNaN(id))
                        {
                            $("#jqgPD").jqGrid('delRowData', lselPD);
                            //$('#jqgPD').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgPD').jqGrid('restoreRow',lselPD);
                        }
                        else
                        {
                            BotonGuardarPD();
                        }

                        $('#jqgPD').jqGrid('editRow', id, true, EventsPD);

                        if(!isNaN(id))
                        {
                            var dropdown = $('#' + id + '_id_uhab')[0];
                            var selectedOption = dropdown.options[dropdown.selectedIndex];
                            var selectedText = selectedOption.text; 
                            $('#TitSubElement4').html(selectedText);
                        }
                       
                        lselPD=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPD))
                        {
                            $("#jqgPD").jqGrid('delRowData', lselPD);
                            $('#jqgPD').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPD').jqGrid('saveRow',lselPD);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgPD').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgPD").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPD').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPD').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPD').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPD').attr("src", "img/cross-script.png");
                        }
                        if(!isNaN(id))
                        {
                            $('#IdSubElement4').val(ret.Id);

                            RefreshGridPDD();
                        }


                        $('#jqgPD').jqGrid('setSelection', id); 

                        BotonSelectPD();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPD").getDataIDs(); 

                    var firstid;
                    var primero = true;

                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(primero)
                        {
                            firstid = rows[i];
                            primero = false;
                        }

                        var status  = $("#jqgPD").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgPD").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        if(!primero && parseInt($('#FirstLoad4').val()) == 1)
                        {
                            var ret = jQuery("#jqgPD").jqGrid('getRowData', firstid); 

                            if(!isNaN(ret.Id)) 
                            {
                                $('#IdSubElement4').val(ret.Id);
                                RefreshGridPDD();

                                $('#FirstLoad4').val(0);
                            }
                        }
                    }
                    $('#jqgPD').jqGrid('setSelection', $('#IdSubElement4').val());
                    if(parseInt($('#IdSubElement4').val()) != 0)
                    {
                        BotonSelectPD();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorPD',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataPD").click(function(){ 
                jQuery("#jqgPD").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPD(id) {
            $("#" + id + "_id_cont").on('change', function () { BotonGuardarPD(); });
            $("#" + id + "_id_uhab").on('change', function () { BotonGuardarPD(); });
        }

        function EventsNewPD() {
            var selr = jQuery('#jqgPD').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_cont").on('change', function () { BotonGuardarPD(); });
            $("#" + selr + "_id_uhab").on('change', function () { BotonGuardarPD(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPD()
        {
            $("#jqgPD").jqGrid("setGridParam", {datatype: "json", datatype: GetPD, loadonce: true});
            $("#jqgPD").trigger("reloadGrid"); 
            $("#jqgPD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreatePD()
        {
            $('#IdSubElement4').val(0);
            $('#TitSubElement4').html('');
            RefreshGridPDD();

            $("#jqgPD").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardarPD();
            EventsNewPD();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SavePD(){
	        var id = $("#jqgPD").jqGrid('getGridParam','selrow');
	        if (id)	{
                $('#jqgPDD').jqGrid('saveRow', $("#jqgPDD").jqGrid('getGridParam','selrow'));
                PutPD(id, $('#' + id + '_id_cont').val(), $('#' + id + '_id_uhab').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeletePD(){
	        var id = $("#jqgPD").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgPD").jqGrid('getRowData',id);
                DelPD(id);
                RefreshGridPD();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelPD(){
	        var id = $("#jqgPD").jqGrid('getGridParam','selrow');
	        if (id)	{
	            $('#jqgPD').restoreRow(id);
	            $('#jqgPD').jqGrid('editRow', id, true, EventsPD);

	            if(!isNaN(id))
	            {
	                RefreshGridPDD();
	            }
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonSelectPD();
        }

        function BotonDefaultPD() {
            if(parseInt($('#cbPlantilla').val()) == 0)
            {
                $('#btnNuevoPD').button('enable');
                $('#btnEliminarPD').button('disable');
                $('#btnGuardarPD').button('disable');
                $('#btnCancelarPD').button('disable');
            }
            else
            {
                $('#btnNuevoPD').button('disable');
                $('#btnEliminarPD').button('disable');
                $('#btnGuardarPD').button('disable');
                $('#btnCancelarPD').button('disable');
                $('#btnGenerarPD').button('disable');
            }
        }

        function BotonNuevoPD() {
            if(parseInt($('#cbPlantilla').val()) == 0)
            {
                $('#btnNuevoPD').button('disable');
                $('#btnEliminarPD').button('disable');
                $('#btnGuardarPD').button('disable');
                $('#btnCancelarPD').button('enable');
            }
            else
            {
                $('#btnNuevoPD').button('disable');
                $('#btnEliminarPD').button('disable');
                $('#btnGuardarPD').button('disable');
                $('#btnCancelarPD').button('disable');
                $('#btnGenerarPD').button('disable');
            }
        }

        function BotonSelectPD() {
            if(parseInt($('#cbPlantilla').val()) == 0)
            {
                $('#btnNuevoPD').button('enable');
                var id = $("#jqgPD").jqGrid('getGridParam', 'selrow');
                if (!isNaN(id)) {
                    $('#btnEliminarPD').button('enable');
                }
                else {
                    $('#btnEliminarPD').button('disable');
                }
                $('#btnGuardarPD').button('disable');
                $('#btnCancelarPD').button('disable');
            }
            else
            {
                $('#btnNuevoPD').button('disable');
                $('#btnEliminarPD').button('disable');
                $('#btnGuardarPD').button('disable');
                $('#btnCancelarPD').button('disable');
                $('#btnGenerarPD').button('disable');
            }
        }

        function BotonGuardarPD() {
            if(parseInt($('#cbPlantilla').val()) == 0)
            {
                $('#btnNuevoPD').button('disable');
                $('#btnEliminarPD').button('disable');
                $('#btnGuardarPD').button('enable');
                $('#btnCancelarPD').button('enable');
            }
            else
            {
                $('#btnNuevoPD').button('disable');
                $('#btnEliminarPD').button('disable');
                $('#btnGuardarPD').button('enable');
                $('#btnCancelarPD').button('enable');
                $('#btnGenerarPD').button('disable');
            }
        }

        <% /* JQ05 */%>

        <% /* Código del jqGrid para Detalle de Precios de Directos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function CuposButtonFormatter(cellvalue, options, rowObject) {
            return "<button type='button' onclick='AbrirDlgCupos(" + cellvalue + ");'><img src='img/Seven/Info.png' /></button>";
        }; 

        function GetPDD() {
            $.ajax({
                url: 'Servicio.svc/GetContratoPreciosDirectoDet',
                data: { "id_conh": $('#IdSubElement4').val(), "id_temp": $('#cbTemporada').val(), "activos": $('#cbTempActivas:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement4').css("color", "red");
                    $('#dlgCargando5').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando5').dialog('close');
                    $("#jqgPDD").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgPDD")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgPDD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#TitSubElement4').css("color", "green");
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPDD() {
        
            var lselPDD;
            var colMap = {};
            $("#jqgPDD").jqGrid({
                datatype: 'local',
                height: 100,
                width: 400,
                colNames:  HeaderTablePDD,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fecha_desde', index: 'fecha_desde', width: 10, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'fecha_hasta', index: 'fecha_hasta', width: 10, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'cant_hab', index: 'cant_hab', width: 7, editable: true, align: 'right', searchoptions:{sopt:ListFindN} }, 
                            { name: 'precio_hab', index: 'precio_hab', width: 13, editable: true, align: 'right', searchoptions:{sopt:ListFindN} }, 
                            { name: 'activo', index: 'activo', width: 5, editable: false, search:false, search:false, search:false, hidden: true },
                            { name: 'elemento', index: 'elemento', width: 5, editable: false, search:false, search:false, formatter: CuposButtonFormatter },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPDD) && !isNaN(id))
                        {
                            $("#jqgPDD").jqGrid('delRowData', lselPDD);
                            $('#jqgPDD').jqGrid('resetSelection');
                        }

                        $('#jqgPDD').jqGrid('saveRow',lselPDD);
                        $('#jqgPDD').jqGrid('editRow', id, true, EventsPDD);
                       
                        lselPDD=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPDD))
                        {
                            $("#jqgPDD").jqGrid('delRowData', lselPDD);
                            $('#jqgPDD').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPDD').jqGrid('saveRow',lselPDD);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        $('#jqgPDD').jqGrid('restoreRow',id);

                        var ret = jQuery("#jqgPDD").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPDD').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPDD').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPDD').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPDD').attr("src", "img/cross-script.png");
                        }

                        if(!isNaN(id))
                        {
                            $('#IdSubElement5').val(id);
                            RefreshGridCC();
                        }

                        $('#jqgPDD').jqGrid('setSelection', id); 

                        //BotonSelectPDD();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPDD").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgPDD").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgPDD").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorPDD',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataPDD").click(function(){ 
                jQuery("#jqgPDD").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPDD(id) {
            $("#" + id + "_fecha_desde").on('input', function () { BotonGuardarPD(); });
            $("#" + id + "_fecha_hasta").on('input', function () { BotonGuardarPD(); });
            $("#" + id + "_cant_hab").on('input', function () { BotonGuardarPD(); });
            $("#" + id + "_precio_hab").on('input', function () { BotonGuardarPD(); });
            $("#" + id + "_activo").on('change', function () { BotonGuardarPD(); });

            if(parseInt($('#cbPlantilla').val()) != 0)
            {
                $("#" + id + "_precio_hab").prop("disabled", true);
            }
        }

        function EventsNewPDD() {
            var selr = jQuery('#jqgPDD').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_fecha_desde").on('input', function () { BotonGuardarPD(); });
            $("#" + selr + "_fecha_hasta").on('input', function () { BotonGuardarPD(); });
            $("#" + selr + "_cant_hab").on('input', function () { BotonGuardarPD(); });
            $("#" + selr + "_precio_hab").on('input', function () { BotonGuardarPD(); });
            $("#" + selr + "_activo").on('change', function () { BotonGuardarPD(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPDD()
        {
            $("#jqgPDD").jqGrid("setGridParam", {datatype: "json", datatype: GetPDD, loadonce: true});
            $("#jqgPDD").trigger("reloadGrid"); 
            $("#jqgPDD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* JQ06 */%>

        <% /* Código del jqGrid para Release del Contrato */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetCR() {
            $.ajax({
                url: 'Servicio.svc/GetContratoRelease',
                data: { "id_cont": $('#IdSubElement').val(), "Activo": $('#cbTempActivas:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#Rel').css("color", "red");
                    $('#dlgCargando6').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando6').dialog('close');
                    $("#jqgCR").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgCR")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgCR").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#Rel').css("color", "green");
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutCR(id, fecha_desde, fecha_hasta, release, Existente, activo) {
            $.ajax({
                url: 'Servicio.svc/PutContratoRelease',
                data: { "id_cont": $('#IdSubElement').val(), "id_peri": id, "release": release 
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(id > 0 || id < 0){
                            //$("#jqgCR").jqGrid('saveRow', id);
                            //$('#jqgCR').jqGrid('editRow', id, true, EventsCR);
                            //BotonSelectCR();
                            BotonDefaultCR();
                            RefreshGridCR();
                        }
                        else
                        {
                            BotonDefaultCR();
                            RefreshGridCR();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelCR(id) {
            $.ajax({
                url: 'Servicio.svc/DelContratoRelease',
                data: { "id_cont": $('#IdSubElement').val(), "id_peri": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                            BotonDefaultCR();
                            RefreshGridCR();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridCR() {
        
            var lselCR;
            var colMap = {};
            $("#jqgCR").jqGrid({
                datatype: 'local',
                height: 120,
                width: 270,
                colNames:  HeaderTableCR,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fecha_desde', index: 'fecha_desde', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'fecha_hasta', index: 'fecha_hasta', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'release', index: 'release', width: 10, editable: true, align: 'right', searchoptions:{sopt:ListFindN} }, 
                            { name: 'Existente', index: 'Existente', width: 10, search:false, hidden: true }, 
                            { name: 'activo', index: 'activo', width: 10, search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselCR) && !isNaN(id))
                        {
                            $("#jqgCR").jqGrid('delRowData', lselCR);
                            $('#jqgCR').jqGrid('resetSelection');
                        }

                        $('#jqgCR').jqGrid('restoreRow',lselCR);
                        $('#jqgCR').jqGrid('editRow', id, true, EventsCR);
                       
                        lselCR=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselCR))
                        {
                            $("#jqgCR").jqGrid('delRowData', lselCR);
                            $('#jqgCR').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgCR').jqGrid('saveRow',lselCR);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        $('#jqgCR').jqGrid('restoreRow',id);

                        var ret = jQuery("#jqgCR").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextCR').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconCR').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextCR').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconCR').attr("src", "img/cross-script.png");
                        }

                        $('#jqgCR').jqGrid('setSelection', id); 

                        BotonSelectCR();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgCR").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgCR").getCell(rows[i],"Eli");
                        var Existente  = $("#jqgCR").getCell(rows[i],"Existente");

                        if(status == "True")
                        {
                            $("#jqgCR").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        if(Existente == "1")
                        {
                            $("#jqgCR").jqGrid('setRowData',rows[i],false,'actRow');
                        }
                        else
                        {
                            $("#jqgCR").jqGrid('setRowData',rows[i],false,'inactRow');
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorCR',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataCR").click(function(){ 
                jQuery("#jqgCR").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsCR(id) {
            $("#" + id + "_fecha_desde").on('input', function () { BotonGuardarCR(); });
            $("#" + id + "_fecha_hasta").on('input', function () { BotonGuardarCR(); });
            $("#" + id + "_release").on('input', function () { BotonGuardarCR(); });
            $("#" + id + "_fecha_desde").prop('disabled', true);
            $("#" + id + "_fecha_hasta").prop('disabled', true);
        }

        function EventsNewCR() {
            var selr = jQuery('#jqgCR').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_fecha_desde").on('input', function () { BotonGuardarCR(); });
            $("#" + selr + "_fecha_hasta").on('input', function () { BotonGuardarCR(); });
            $("#" + selr + "_release").on('input', function () { BotonGuardarCR(); });
            $("#" + id + "_fecha_desde").prop('disabled', true);
            $("#" + id + "_fecha_hasta").prop('disabled', true);
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridCR()
        {
            $("#jqgCR").jqGrid("setGridParam", {datatype: "json", datatype: GetCR, loadonce: true});
            $("#jqgCR").trigger("reloadGrid"); 
            $("#jqgCR").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateCR()
        {
            $("#jqgCR").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoCR();
            EventsNewCR();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveCR(){
	        var id = $("#jqgCR").jqGrid('getGridParam','selrow');
	        if (id)	{
                PutCR(id, $('#' + id + '_fecha_desde').val(), $('#' + id + '_fecha_hasta').val(), $('#' + id + '_release').val(), $('#' + id + '_Existente').val(), $('#' + id + '_activo').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteCR(){
	        var id = $("#jqgCR").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgCR").jqGrid('getRowData',id);
                DelCR(id);
                RefreshGridCR();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelCR(){
	        var id = $("#jqgCR").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#jqgCR').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultCR();
        }

        function BotonDefaultCR() {
            $('#btnNuevoCR').button('enable');
            $('#btnEliminarCR').button('disable');
            $('#btnGuardarCR').button('disable');
            $('#btnCancelarCR').button('disable');
        }

        function BotonNuevoCR() {
            $('#btnNuevoCR').button('disable');
            $('#btnEliminarCR').button('disable');
            $('#btnGuardarCR').button('disable');
            $('#btnCancelarCR').button('enable');
        }

        function BotonSelectCR() {
            $('#btnNuevoCR').button('enable');
            var id = $("#jqgCR").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarCR').button('enable');
            }
            else {
                $('#btnEliminarCR').button('disable');
            }
            $('#btnGuardarCR').button('disable');
            $('#btnCancelarCR').button('disable');
        }

        function BotonGuardarCR() {
            $('#btnNuevoCR').button('disable');
            $('#btnEliminarCR').button('disable');
            $('#btnGuardarCR').button('enable');
            $('#btnCancelarCR').button('enable');
        }

        <% /* JQ07 */%>

        <% /* Código del jqGrid para Impuestos del Contrato */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetCI() {
            $.ajax({
                url: 'Servicio.svc/GetContratoImpuestos',
                data: { "id_cont": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#Imp').css("color", "red");
                    $('#dlgCargando7').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando7').dialog('close');
                    $("#jqgCI").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgCI")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgCI").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#Imp').css("color", "green");
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutCI(id, id_cont, id_impu, incluido) {
            $.ajax({
                url: 'Servicio.svc/PutContratoImpuestos',
                data: { "id_cont": $('#IdSubElement').val(), "id_impu": id_impu, "incluido": incluido
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(id > 0 || id < 0){
                            //$("#jqgCI").jqGrid('saveRow', id);
                            //$('#jqgCI').jqGrid('editRow', id, true, EventsCI);
                            //BotonSelectCI();
                            BotonDefaultCI();
                            RefreshGridCI();
                        }
                        else
                        {
                            BotonDefaultCI();
                            RefreshGridCI();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelCI(id, id_cont, id_impu) {
            $.ajax({
                url: 'Servicio.svc/DelContratoImpuestos',
                data: { "id_cont": $('#IdSubElement').val(), "id_impu": id_impu
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                            BotonDefaultCI();
                            RefreshGridCI();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridCI() {
        
            var lselCI;
            var colMap = {};
            $("#jqgCI").jqGrid({
                datatype: 'local',
                height: 120,
                width: 350,
                colNames:  HeaderTableCI,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_cont', index: 'id_cont', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'id_impu', index: 'id_impu', width: 80, editable: true, search:false,formatter:'select', stype:'select', edittype:'select', editoptions: {<%=cbImpuestos %>} }, 
                            { name: 'incluido', index: 'incluido', width: 20, editable: true, search: false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselCI) && !isNaN(id))
                        {
                            $("#jqgCI").jqGrid('delRowData', lselCI);
                            $('#jqgCI').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgCI').jqGrid('restoreRow',lselCI);
                        }
                        else
                        {
                            BotonGuardarCI();
                        }

                        $('#jqgCI').jqGrid('editRow', id, true, EventsCI);
                       
                        lselCI=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselCI))
                        {
                            $("#jqgCI").jqGrid('delRowData', lselCI);
                            $('#jqgCI').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgCI').jqGrid('saveRow',lselCI);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgCI').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgCI").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextCI').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconCI').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextCI').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconCI').attr("src", "img/cross-script.png");
                        }

                        $('#jqgCI').jqGrid('setSelection', id); 

                        BotonSelectCI();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgCI").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgCI").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgCI").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorCI',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataCI").click(function(){ 
                jQuery("#jqgCI").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsCI(id) {
            $("#" + id + "_id_cont").on('change', function () { BotonGuardarCI(); });
            $("#" + id + "_id_impu").on('change', function () { BotonGuardarCI(); });
            $("#" + id + "_incluido").on('change', function () { BotonGuardarCI(); });
        }

        function EventsNewCI() {
            var selr = jQuery('#jqgCI').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_cont").on('change', function () { BotonGuardarCI(); });
            $("#" + selr + "_id_impu").on('change', function () { BotonGuardarCI(); });
            $("#" + selr + "_incluido").on('change', function () { BotonGuardarCI(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridCI()
        {
            $("#jqgCI").jqGrid("setGridParam", {datatype: "json", datatype: GetCI, loadonce: true});
            $("#jqgCI").trigger("reloadGrid"); 
            $("#jqgCI").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateCI()
        {
            if(parseInt($('#IdSubElement').val()) != 0){
                $("#jqgCI").jqGrid('addRow',{
                    initdata : {'Id': '0'},
                    position :"first",
                    useDefValues : false,
                    useFormatter : false,
                    addRowParams : {extraparam:{}}
                });
                BotonGuardarCI();
                EventsNewCI();
            }
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveCI(){
	        var id = $("#jqgCI").jqGrid('getGridParam','selrow');
	        if (id && parseInt($('#IdSubElement').val()) != 0)	{
                PutCI(id, $('#' + id + '_id_cont').val(), $('#' + id + '_id_impu').val(), $('#' + id + '_incluido:checked').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteCI(){
	        var id = $("#jqgCI").jqGrid('getGridParam','selrow');
	        if (id && parseInt($('#IdSubElement').val()) != 0)	{
		        var ret = $("#jqgCI").jqGrid('getRowData',id);
                DelCI(id, $('#' + id + '_id_cont').val(), $('#' + id + '_id_impu').val());
                RefreshGridCI();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelCI(){
	        var id = $("#jqgCI").jqGrid('getGridParam','selrow');
	        if (id && parseInt($('#IdSubElement').val()) != 0)	{
		        $('#jqgCI').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultCI();
        }

        function BotonDefaultCI() {
            $('#btnNuevoCI').button('enable');
            $('#btnEliminarCI').button('disable');
            $('#btnGuardarCI').button('disable');
            $('#btnCancelarCI').button('disable');
        }

        function BotonNuevoCI() {
            $('#btnNuevoCI').button('disable');
            $('#btnEliminarCI').button('disable');
            $('#btnGuardarCI').button('disable');
            $('#btnCancelarCI').button('enable');
        }

        function BotonSelectCI() {
            $('#btnNuevoCI').button('enable');
            var id = $("#jqgCI").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarCI').button('enable');
            }
            else {
                $('#btnEliminarCI').button('disable');
            }
            $('#btnGuardarCI').button('disable');
            $('#btnCancelarCI').button('disable');
        }

        function BotonGuardarCI() {
            $('#btnNuevoCI').button('disable');
            $('#btnEliminarCI').button('disable');
            $('#btnGuardarCI').button('enable');
            $('#btnCancelarCI').button('enable');
        }

        <% /* JQ08 */%>

        <% /* Código del jqGrid para Compartir Cupos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetCC() {
            $.ajax({
                url: 'Servicio.svc/GetContratoCupos',
                data: { "id_conh": $('#IdSubElement4').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgCC").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgCC")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgCC").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutCC(id, id_conh, id_peri, descripcion, id_cont_dest, id_conh_dest, fecha_desde, fecha_hasta, cant_hab) {
            $.ajax({
                url: 'Servicio.svc/PutContratoCupos',
                data: { "id_cual": id, "id_conh": $('#IdSubElement4').val(), "id_peri": $('#IdSubElement5').val(), "descripcion": descripcion, "id_cont_dest": id_cont_dest, "id_conh_dest": id_conh_dest, "fecha_desde": fecha_desde, "fecha_hasta": fecha_hasta, "cant_hab": cant_hab
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(id > 0 || id < 0){
                            $("#jqgCC").jqGrid('saveRow', id);
                            $('#jqgCC').jqGrid('editRow', id, true, EventsCC);
                            BotonSelectCC();
                        }
                        else
                        {
                            BotonDefaultCC();
                            RefreshGridCC();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelCC(id) {
            $.ajax({
                url: 'Servicio.svc/DelContratoCupos',
                data: { "id_cual": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        BotonDefaultCC();
                        RefreshGridCC();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridCC() {
        
            var lselCC;
            var colMap = {};
            $("#jqgCC").jqGrid({
                datatype: 'local',
                height: 175,
                width: 670,
                colNames:  HeaderTableCC,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_conh', index: 'id_conh', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'id_peri', index: 'id_peri', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'descripcion', index: 'descripcion', width: 20, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'id_cont_dest', index: 'id_cont_dest', width: 10, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: {<%=cbContratos %>} }, 
                            { name: 'id_conh_dest', index: 'id_conh_dest', width: 10, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: {<%=cbUsoHabitaciones %>} }, 
                            { name: 'fecha_desde', index: 'fecha_desde', width: 7, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'fecha_hasta', index: 'fecha_hasta', width: 7, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'cant_hab', index: 'cant_hab', width: 7, editable: true, align: 'right', searchoptions:{sopt:ListFindN} },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function(id){
                    if(id){

                        if(isNaN(lselCC) && !isNaN(id))
                        {
                            $("#jqgCC").jqGrid('delRowData', lselCC);
                            $('#jqgCC').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgCC').jqGrid('restoreRow',lselCC);
                        }
                        else
                        {
                            BotonNuevoCC();
                        }

                        $('#jqgCC').jqGrid('editRow', id, true, EventsCC);
                       
                        lselCC=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselCC))
                        {
                            $("#jqgCC").jqGrid('delRowData', lselCC);
                            $('#jqgCC').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgCC').jqGrid('saveRow',lselCC);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgCC').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgCC").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextCC').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconCC').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextCC').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconCC').attr("src", "img/cross-script.png");
                        }

                        $('#jqgCC').jqGrid('setSelection', id); 

                        BotonSelectCC();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgCC").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgCC").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgCC").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorCC',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataCC").click(function(){ 
                jQuery("#jqgCC").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsCC(id) {
            $("#" + id + "_id_conh").on('change', function () { BotonGuardarCC(); });
            $("#" + id + "_id_peri").on('change', function () { BotonGuardarCC(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarCC(); });
            $("#" + id + "_id_cont_dest").on('change', function () 
            { 
                BotonGuardarCC(); 
            });
            $("#" + id + "_id_conh_dest").on('change', function () { BotonGuardarCC(); });
            $("#" + id + "_fecha_desde").on('input', function () { BotonGuardarCC(); });
            $("#" + id + "_fecha_hasta").on('input', function () { BotonGuardarCC(); });
            $("#" + id + "_cant_hab").on('change', function () { BotonGuardarCC(); });

            $("#" + id + "_fecha_desde").datepicker({
                minDate: $("#txtCupoDesde").datepicker("getDate"),
                maxDate: $("#txtCupoHasta").datepicker("getDate")
            });
            $("#" + id + "_fecha_hasta").datepicker({
                minDate: $("#txtCupoDesde").datepicker("getDate"),
                maxDate: $("#txtCupoHasta").datepicker("getDate")
            });
        }

        function EventsNewCC() {
            var selr = jQuery('#jqgCC').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_conh").on('change', function () { BotonGuardarCC(); });
            $("#" + selr + "_id_peri").on('change', function () { BotonGuardarCC(); });
            $("#" + selr + "_descripcion").on('input', function () { BotonGuardarCC(); });
            $("#" + selr + "_id_cont_dest").on('change', function () 
            { 
                BotonGuardarCC(); 
            });
            $("#" + selr + "_id_conh_dest").on('change', function () { BotonGuardarCC(); });
            $("#" + selr + "_fecha_desde").on('input', function () { BotonGuardarCC(); });
            $("#" + selr + "_fecha_hasta").on('input', function () { BotonGuardarCC(); });
            $("#" + selr + "_cant_hab").on('change', function () { BotonGuardarCC(); });

            $("#" + selr + "_fecha_desde").val($("#txtCupoDesde").val());
            $("#" + selr + "_fecha_hasta").val($("#txtCupoHasta").val());

            $("#" + selr + "_fecha_desde").datepicker({
                minDate: $("#txtCupoDesde").datepicker("getDate"),
                maxDate: $("#txtCupoHasta").datepicker("getDate")
            });
            $("#" + selr + "_fecha_hasta").datepicker({
                minDate: $("#txtCupoDesde").datepicker("getDate"),
                maxDate: $("#txtCupoHasta").datepicker("getDate")
            });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridCC()
        {
            $("#jqgCC").jqGrid("setGridParam", {datatype: "json", datatype: GetCC, loadonce: true});
            $("#jqgCC").trigger("reloadGrid"); 
            $("#jqgCC").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateCC()
        {
            $("#jqgCC").jqGrid('addRow',{
                initdata : {'Id': '0', 'id_cont_dest': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoCC();
            EventsNewCC();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveCC(){
            var id = $("#jqgCC").jqGrid('getGridParam','selrow');
            if (id)	{
                PutCC(id, $('#' + id + '_id_conh').val(), $('#' + id + '_id_peri').val(), $('#' + id + '_descripcion').val(), $('#' + id + '_id_cont_dest').val(), $('#' + id + '_id_conh_dest').val(), $('#' + id + '_fecha_desde').val(), $('#' + id + '_fecha_hasta').val(), $('#' + id + '_cant_hab').val());
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
	            $('#dlgInformation').dialog('open');
	        }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteCC(){
            var id = $("#jqgCC").jqGrid('getGridParam','selrow');
            if (id)	{
                var ret = $("#jqgCC").jqGrid('getRowData',id);
                DelCC(id);
                RefreshGridCC();
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
	            $('#dlgInformation').dialog('open');
	        }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelCC(){
            var id = $("#jqgCC").jqGrid('getGridParam','selrow');
            if (id)	{
                $('#jqgCC').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
	            $('#dlgInformation').dialog('open');
	        }
            BotonDefaultCC();
        }

        function BotonDefaultCC() {
            $('#btnNuevoCC').button('enable');
            $('#btnEliminarCC').button('disable');
            $('#btnGuardarCC').button('disable');
            $('#btnCancelarCC').button('disable');
        }

        function BotonNuevoCC() {
            $('#btnNuevoCC').button('disable');
            $('#btnEliminarCC').button('disable');
            $('#btnGuardarCC').button('disable');
            $('#btnCancelarCC').button('enable');
        }

        function BotonSelectCC() {
            $('#btnNuevoCC').button('enable');
            var id = $("#jqgCC").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarCC').button('enable');
            }
            else {
                $('#btnEliminarCC').button('disable');
            }
            $('#btnGuardarCC').button('disable');
            $('#btnCancelarCC').button('disable');
        }

        function BotonGuardarCC() {
            $('#btnNuevoCC').button('disable');
            $('#btnEliminarCC').button('disable');
            $('#btnGuardarCC').button('enable');
            $('#btnCancelarCC').button('enable');
        }

        <% /* JQ09 */%>

        <% /* Código del jqGrid para Cambio de Tasas a Contratos por Monedas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetCT() {
            $.ajax({
                url: 'Servicio.svc/GetContratoTasas',
                data: { 
                  "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgCT").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgCT")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgCT").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutCT() {
            $.ajax({
                url: 'Servicio.svc/PutContratoTasas',
                data: { "Datos": JSON.stringify($("#jqgCT").jqGrid('getGridParam','data'))
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#dlgInformation').html('<%=L.MSG("CONT_CT_001") %>'); 
                        $('#dlgInformation').dialog('open');
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridCT() {
        
            var lselCT;
            var colMap = {};
            $("#jqgCT").jqGrid({
                datatype: 'local',
                height: 255,
                width: 400,
                colNames:  HeaderTableCT,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'cod_mone', index: 'cod_mone', width: 20, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'desc_mone', index: 'desc_mone', width: 50, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'tasa', index: 'tasa', width: 30, editable: true, searchoptions:{sopt:ListFindN} }, 
                            { name: 'tasa_old', index: 'tasa_old', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselCT) && !isNaN(id))
                        {
                            $("#jqgCT").jqGrid('delRowData', lselCT);
                            //$('#jqgCT').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgCT').jqGrid('saveRow',lselCT);
                        }

                        $('#jqgCT').jqGrid('editRow', id, true);
                       
                        lselCT=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselCT))
                        {
                            $("#jqgCT").jqGrid('delRowData', lselCT);
                            $('#jqgCT').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgCT').jqGrid('saveRow',lselCT);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgCT').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgCT").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextCT').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconCT').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextCT').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconCT').attr("src", "img/cross-script.png");
                        }

                        $('#jqgCT').jqGrid('setSelection', id); 

                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgCT").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgCT").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgCT").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorCT',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridCT()
        {
            $("#jqgCT").jqGrid("setGridParam", {datatype: "json", datatype: GetCT, loadonce: true});
            $("#jqgCT").trigger("reloadGrid"); 
            $("#jqgCT").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveCT(){
	        PutCT();
        }

        <% /* JQ10 */%>

        <% /* Código del jqGrid para Perfiles */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPER() {
            GetPerfil(1, 0);
        }

        function GetPERNew() {
            GetPerfil(4, 0);
        }

        function GetPerfil(modo, id) {
            if (modo < 3) {
                modo = 1;
            }

            $.ajax({
                url: 'Servicio.svc/GetPerfiles',
                data: {
                    "Modo": modo, "id_cardex": id, "id_cardex_fil": $('#IdSubElementPERFil').val()
                    , "Fil_nombre": $("input[name=cbFilPER_nombre]:checked").val(), "vFil_nombre": $('#txtFilPER_nombre').val()
                    , "Fil_clave_cardex": $("input[name=cbFilPER_clave_cardex]:checked").val(), "vFil_clave_cardex": $('#txtFilPER_clave_cardex').val()
                    , "Fil_dni_cif": $("input[name=cbFilPER_dni_cif]:checked").val(), "vFil_dni_cif": $('#txtFilPER_dni_cif').val()
                    , "Fil_provincia": $("input[name=cbFilPER_provincia]:checked").val(), "vFil_provincia": $('#txtFilPER_provincia').val()
                    , "Fil_ciudad": $("input[name=cbFilPER_ciudad]:checked").val(), "vFil_ciudad": $('#txtFilPER_ciudad').val()
                    , "Fil_localidad": $("input[name=cbFilPER_localidad]:checked").val(), "vFil_localidad": $('#txtFilPER_localidad').val()
                    , "Fil_zip_code": $("input[name=cbFilPER_zip_code]:checked").val(), "vFil_zip_code": $('#txtFilPER_zip_code').val()
                    , "Fil_id_naci": $("input[name=cbFilPER_id_naci]:checked").val(), "vFil_id_naci": $('#cbNacionalidadFilPER').val()
                    , "Fil_fecha_nac": $("input[name=cbFilPER_fecha_nac]:checked").val(), "Fil_fecha_nac_modo": $('#cbDateOpsFilPER').val()
                    , "vFil_fecha_nac": $('#txtFilPER_fecha_nac').val(), "vFil_fecha_nac2": $('#txtFilPER_fecha_nac2').val()
                    , "Fil_vip": $("input[name=cbFilPER_vip]:checked").val()
                    , "Fil_sexo": $("input[name=cbFilPER_sexo]:checked").val(), "vFil_sexo": $('input[name=rbPERFilGenero]:checked').val()
                    , "Eliminado": $('#cbEliminado:checked').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    $('#IdSubElementPERFil').val(0);
                    try {
                        if (parseInt(id) == 0) {
                            $("#jqgPER").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgPER")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPER() {

            var lselPER;
            var colMap = {};
            $("#jqgPER").jqGrid({
                datatype: 'local',
                height: 300,
                width: 170,
                colNames: ['', '<%=L.LBL("LblGENName") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'clave_cardex', index: 'clave_cardex', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselPER) && !isNaN(id)) {
                            $("#jqgPER").jqGrid('delRowData', lselPER);
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgPER").jqGrid('getRowData', id);

                            $('#jqgPER').jqGrid('restoreRow', lselPER);

                            $('#IdSubElementPER').val(ret.Id);
                        }

                        lselPER = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselPER)) {
                            $("#jqgPER").jqGrid('delRowData', lselPER);
                            $('#jqgPER').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgPER').jqGrid('saveRow', lselPER);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgPER').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgPER").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextPER').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPER').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextPER').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPER').attr("src", "img/cross-script.png");
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgPER").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        var status = $("#jqgPER").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgPER").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgPER').jqGrid('setSelection', $('#IdSubElementPER').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPER() {
            $("#jqgPER").jqGrid("setGridParam", { datatype: "json", datatype: GetPER, loadonce: true });
            $("#jqgPER").trigger("reloadGrid");
            $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        function RefreshGridPERNew() {
            $("#jqgPER").jqGrid("setGridParam", { datatype: "json", datatype: GetPERNew, loadonce: true });
            $("#jqgPER").trigger("reloadGrid");
            $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JS_FUN_PER */ %>

        function AsignarPerfil() {
            $('#IdSubElementCARE').val($('#IdSubElementPER').val());
            BotonGuardarCON();
            $('#dlgFiltroPER').dialog('close');
        }

        function RemoverPerfil() {
            $('#IdSubElementCARE').val(0);
            BotonGuardarCON();
            $('#dlgFiltroPER').dialog('close');
        }

        <% /* JS_FUN */ %>

        function DuplicarContrato() {
            $.ajax({
                url: 'Servicio.svc/DuplicarContrato',
                data: {
                    "id_cont_ori": $('#cbContrato').val(), "contrato_dest": $('#txtDupCodigo').val(), "desc_cont_dest": $('#txtDupDescripcion').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        $('#IdSubElement').val(res);
                        BotonDefaultCON();
                        RefreshGridCON();
                        $('#dlgDuplicar').dialog("close");
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function Generar() {
            $.ajax({
                url: 'Servicio.svc/PutTarifasGenerar',
                data: { "id_cont": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        LoadForm($('#IdSubElement').val());
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=7&e=' + $('#cbEliminado:checked').val() 
                + "&c=" + $("input[name=cbFilCodigo]:checked").val() + "&vc=" + $('#txtFilCodigo').val()
                + "&d=" + $("input[name=cbFilDescripcion]:checked").val() + "&vd=" + $('#txtFilDescripcion').val()
                + "&b=" + $("input[name=cbFilEmpresa]:checked").val() + "&vb=" + $('#cbEmpresaTarifa').val()
                + "&z=" + $("input[name=cbFilMercado]:checked").val() + "&vz=" + $('#cbMercadoTarifa').val()
                + "&m=" + $("input[name=cbFilMoneda]:checked").val() + "&vm=" + $('#cbMonedaTarifa').val()
                + "&n=" + $("input[name=cbFilNacionalidad]:checked").val() + "&vn=" + $('#cbNacionalidadTarifa').val()
                + "&t=" + $("input[name=cbFilTemporada]:checked").val() + "&vt=" + $('#cbTemporadaTarifa').val()
                + "&p=" + $("input[name=cbFilPlantilla]:checked").val() + "&vp=" + $('#cbPlantillaTarifa').val(), '_blank');
        }

        function AbrirDlgCupos(id)
        {
            var ret = $("#jqgPDD").jqGrid('getRowData', id);

            if(parseInt(id) != 0){

                if(parseInt(ret.cant_hab) > 0){

                    $('#txtContratoOrigen').val($('#TitSubElement').html());
                    $('#txtCupos').val(ret.cant_hab);
                    $('#txtCupoDesde').val(ret.fecha_desde);
                    $('#txtCupoHasta').val(ret.fecha_hasta);
                    $('#dlgCupos').dialog('open');

                }

                if(parseInt($('#' + id + "_cant_hab").val()) > 0){

                    $('#txtContratoOrigen').val($('#TitSubElement').html());
                    $('#txtCupos').val($('#' + id + "_cant_hab").val());
                    $('#txtCupoDesde').val(ret.fecha_desde);
                    $('#txtCupoHasta').val(ret.fecha_hasta);
                    $('#dlgCupos').dialog('open');

                }

            }
        }

        function ActualizarContratos() 
        {
            $('#dlgActualizar').dialog('open');
        }

        function ActualizarContratosFin() {
            if(parseInt($('#IdSubElement').val()) != 0){
                $.ajax({
                    url: 'Servicio.svc/PutPlantillasActualizar',
                    data: { "id_plnt": '0', "id_cont": $('#IdSubElement').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function() {
                        $('#dlgCargando').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando').dialog('close');
                        var res = json.d;
                        if(res == 1)
                        {
                            <%--$('#dlgInformation').html('<%=L.LBL("LblGENMSG_DeletedData") %>'); 
                            $('#dlgInformation').dialog('open');--%>
                            LoadForm($('#IdSubElement').val());
                        }
                        else
                        {
                            $('#dlgInformation').html(json.d); 
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }
        }
        
    </script>
    
    <script type="text/javascript">

        <% /* JS_DOC */ %>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 227,
                width: 500,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgActualizar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog("close");
                        ActualizarContratosFin();
                    },
                    "<%=L.LBL("LblGENClose") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgCupos").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 400,
                width: 700,
                modal: true
            });

            $("#dlgBuscar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 350,
                width: 350,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENSearch") %>": function () {
                        ResetForm();
                        GetCON();
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENClose") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgDuplicar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 300,
                width: 450,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENDuplicar") %>": function () {
                        DuplicarContrato();
                    },
                    "<%=L.LBL("LblGENClose") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgObservaciones").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 240,
                width: 550,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        SaveCON();
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $('#txtobserv').val($('#hidobserv').val());
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgCambiarTasa").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 400,
                width: 430,
                modal: true
            });

            $("#dlgFiltroPER").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 500,
                width: 510,
                modal: true
            });

            $("#dlgPerfilNuevo").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 440,
                modal: true,
                open: function () {
                    window.open('Perfiles.aspx', '_PERF');
                },
                buttons: {
                    "<%=L.LBL("LblGENClose") %>": function () {
                        RefreshGridPERNew();
                        $(this).dialog("close");
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridCON();
            LoadGridCI();
            LoadGridCR();
            LoadGridPA();
            LoadGridPAD();
            LoadGridPD();
            LoadGridPDD();
            LoadGridCC();
            LoadGridCT();
            LoadGridPER();

            RefreshGridCON();

            InitializeComponentsCON();

            BotonDefaultCON();
            BotonDefaultCI();
            BotonDefaultCR();
            BotonDefaultPA();
            BotonDefaultPD();
            BotonDefaultCC();

            $('#TarifasTabs').tabs();

            <% if(DebugMode){ %>
                $('#Debug').css('display', '');
                $('#Debug').css('display', 'normal');
            <% } %>

            $('#txtCupoDesde').datepicker('disable');
            $('#txtCupoHasta').datepicker('disable');

            $("#cbEmpresaTarifa").change(function() {
                $('input[name=cbFilEmpresa]').prop('checked', true);
            });
            $("#cbMercadoTarifa").change(function() {
                $('input[name=cbFilMercado]').prop('checked', true);
            });
            $("#cbMonedaTarifa").change(function() {
                $('input[name=cbFilMoneda]').prop('checked', true);
            });
            $("#cbNacionalidadTarifa").change(function() {
                $('input[name=cbFilNacionalidad]').prop('checked', true);
            });
            $("#cbTemporadaTarifa").change(function() {
                $('input[name=cbFilTemporada]').prop('checked', true);
            });

            $('#tblBtnGenerar2').removeClass('SevenEnlaces');

            $('#Loader').css('height', '0px');

        });
    </script>

    <style type="text/css">
        
        .actRow td 
        {
            background-color: #F5F5F5; 
        }
        
        .inactRow td 
        {
            background-color: #DEDEDE; 
        }
        
    </style>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M2';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Tarifas.aspx"><%=L.TIT("Tarifas") %> [1.5]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="Loader" style="width: 2000px; height: 4000px;"></div>

                <% /* DLG_VAR */ %>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgObservaciones" title="<%=L.LBL("LblGENObservations") %>" style="text-align: center;padding-top: 25px">
                    <input type="hidden" id="hidobserv" value="" />
                    <textarea id="txtobserv" cols="60" rows="5" ></textarea>
                </div>

                <div id="dlgActualizar" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    <%=L.MSG("ActualizarContratos") %>
                </div>

                <div id="dlgPerfilNuevo" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("MsgNuevoPerfil") %>
                </div>

                <% /* DLG_FIL_PER */%>

                <div id="dlgFiltroPER" title="<%=L.TIT("Perfiles") %>" style="text-align: center; padding-top: 25px">
                    <table style="text-align: left; white-space: nowrap;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_nombre" name="cbFilPER_nombre" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENName") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_nombre" value="" onchange="$('input[name=cbFilPER_nombre]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                            <td rowspan="10">
                                <input type="hidden" id="IdSubElementPER" value="0" />
                                <input type="hidden" id="IdSubElementPERCon" value="0" />
                                <input type="hidden" id="IdSubElementPERModo" value="0" />
                                <input type="hidden" id="IdSubElementPERFil" value="0" />
                                <table id="jqgPER"></table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_clave_cardex" name="cbFilPER_clave_cardex" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblPERClave") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_clave_cardex" value="" onchange="$('input[name=cbFilPER_clave_cardex]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_dni_cif" name="cbFilPER_dni_cif" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKIdentificacion") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_dni_cif" value="" onchange="$('input[name=cbFilPER_dni_cif]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_provincia" name="cbFilPER_provincia" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKProvincia") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_provincia" value="" onchange="$('input[name=cbFilPER_provincia]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_ciudad" name="cbFilPER_ciudad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKCiudad") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_ciudad" value="" onchange="$('input[name=cbFilPER_ciudad]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_localidad" name="cbFilPER_localidad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKLocalidad") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_localidad" value="" onchange="$('input[name=cbFilPER_localidad]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_zip_code" name="cbFilPER_zip_code" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKCodigoPostal") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_zip_code" value="" onchange="$('input[name=cbFilPER_zip_code]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_id_naci" name="cbFilPER_id_naci" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSEXNacionalidad") %>:
                            </td>
                            <td>
                                <%=cbNacionalidadFilPER %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_vip" name="cbFilPER_vip" value="1" onclick="RefreshGridPER();" />
                            </td>
                            <td>VIP
                            </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_sexo" name="cbFilPER_sexo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENGenero") %>:
                            </td>
                            <td>
                                <input type="radio" id="rbPERFilGenero0" name="rbPERFilGenero" value="0" checked="checked"
                                    onclick="$('#cbFilPER_sexo').prop('checked', true); RefreshGridPER();" /><b><%=L.LBL("LblGENMasculino") %></b>
                                <br />
                                <input type="radio" id="rbPERFilGenero1" name="rbPERFilGenero" value="1"
                                    onclick="$('#cbFilPER_sexo').prop('checked', true); RefreshGridPER();" /><b><%=L.LBL("LblGENFemenino") %></b>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_fecha_nac" name="cbFilPER_fecha_nac" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKFechaNac") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();").Replace("cbDateOps", "cbDateOpsFilPER") %>
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_fecha_nac" value="" class="eligeFecha"
                                    onchange="$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFilPER_fecha_nac2" value="" class="eligeFecha"
                                    onchange="$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4">
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" id="btnBuscarPER" onclick="RefreshGridPER();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCrearPER" onclick="$('#dlgPerfilNuevo').dialog('open');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/document.png" alt="" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnAsignarPER" onclick="AsignarPerfil();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/Seven/Kardex.png" alt="" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnQuitarPER" onclick="RemoverPerfil();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/Seven/KardexDel.png" alt="" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnSalirPER" onclick="$('#dlgFiltroPER').dialog('close');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/door-open-in.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* DLG_TASA */ %>

                <div id="dlgCambiarTasa" title="<%=L.LBL("LblFDKSCambioTasaContratos") %>" style="text-align: center;padding-top: 25px">
                    <table id="jqgCT"></table>
                    <div id="PaginadorCT" ></div>

                    <table width="100%">
                        <tr>
                            <td colspan="4">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnGuardarCT" onclick="$('#jqgCT').jqGrid('saveRow', $('#jqgCT').jqGrid('getGridParam','selrow'));SaveCT();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/lightning.png" alt="<%=L.LBL("LblGENAplicar") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENAplicar") %></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCancelarCT" onclick="$('#dlgCambiarTasa').dialog('close');">
                                                    <table>
                                                        <tr>
                                                            <td><img src="img/door-open-in.png" alt="<%=L.LBL("LblGENClose") %>" /></td>
                                                            <td><%=L.LBL("LblGENClose") %></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* DLG_DUP */ %>

                <div id="dlgDuplicar" title="<%=L.LBL("LblFDKSDuplicarContrato") %>" style="text-align: center;padding-top: 25px">
                    <table style="text-align: center;">
                        <tr>
                            <td>
                                <%=L.LBL("LblFDKSContratoOrigen") %>:
                                <%=cbContratosDup %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <fieldset>
                                    <legend><b><%=L.LBL("LblFDKSContratoDestino") %></b></legend>
                                    <table style="text-align: left;">
                                        <tr>
                                            <td>
                                                <%=L.LBL("LblGENCode") %>
                                            </td>
                                            <td>
                                                <%=L.LBL("LblGENDescription")%>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <input type="text" id="txtDupCodigo" value="" size="10" />
                                            </td>
                                            <td>
                                                <input type="text" id="txtDupDescripcion" value="" size="30" />
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* DLG_BUSCAR */ %>

                <div id="dlgBuscar" title="<%=L.LBL("LblGENFilterBy") %>" style="text-align: center;padding-top: 25px">
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilCodigo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENCode") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilCodigo" value="" onchange="$('input[name=cbFilCodigo]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilDescripcion" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENDescription") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilDescripcion" value="" onchange="$('input[name=cbFilDescripcion]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilEmpresa" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENCompany") %>:
                            </td>
                            <td>
                                <%=cbEmpresasTarifas %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilMercado" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSMercado") %>:
                            </td>
                            <td>
                                <%=cbMercadosTarifas %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilMoneda" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENMoney") %>:
                            </td>
                            <td>
                                <%=cbMonedasTarifas %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilNacionalidad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSEXNacionalidad") %>:
                            </td>
                            <td>
                                <%=cbNacionalidadesTarifas %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilTemporada" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSTemporada") %>:
                            </td>
                            <td>
                                <%=cbTemporadasTarifas %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilPlantilla" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSPlantilla") %>:
                            </td>
                            <td>
                                <%=cbPlantillasTarifas %>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* DLG_CUPOS */ %>

                <div id="dlgCupos" title="<%=L.LBL("LblFDKSCompartirCupos") %>" style="text-align: center;padding-top: 25px">
                    
                    <table style="Width: 100%; text-align: left;">
                        <tr>
                            <td><%=L.LBL("LblFDKSContratoOrigen") %>:</td>
                            <td><input type="text" id="txtContratoOrigen" value="" size="30" disabled="disabled" /></td>
                            <td rowspan="2" ><%=L.LBL("LblGENPeriodo") %>:&nbsp;&nbsp;&nbsp;&nbsp;</td>
                            <td><%=L.LBL("LblGENStart") %>:</td>
                            <td><input type="text" id="txtCupoDesde" value="" size="15" disabled="disabled" class="eligeFecha" /></td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblFDKSCupos") %>:</td>
                            <td><input type="text" id="txtCupos" value="" size="10" disabled="disabled" /></td>
                            
                            <td><%=L.LBL("LblGENEnd") %>:</td>
                            <td><input type="text" id="txtCupoHasta" value="" size="15" disabled="disabled" class="eligeFecha" /></td>
                        </tr>
                    </table>

                    <br />

                    <table id="jqgCC"></table>
                    <div id="PaginadorCC" ></div>

                    <table width="100%">
                        <tr>
                            <td colspan="4">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnNuevoCC" onclick="CreateCC();">
                                                <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnEliminarCC" onclick="DeleteCC();">
                                                <table><tr><td><img id="btnEliminarIconCC" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnGuardarCC" onclick="SaveCC();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCancelarCC" onclick="CancelCC();">
                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* TIT */ %>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Tarifas") %> [1.5]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultCON();RefreshGridCON();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/1-5-contratos/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <% /* HH */ %>

                <div id="HiddenHive">
                    <%=hidEmpresas %>
                </div>

                <div id="HIDCON">

                </div>

                <div id="Debug" style="display: none;">
                    <fieldset style="width: 100%;">
                        <legend><b>DEBUG MODE</b></legend>
                        <table>
                            <tr>
                                <td>CON:</td>
                                <td><input type="text" id="IdSubElement" value="0" size="10" /></td>
                                <td>PA:</td>
                                <td><input type="text" id="IdSubElement3" value="0" size="10" /></td>
                                <td>PD:</td>
                                <td><input type="text" id="IdSubElement4" value="0" size="10"/></td>
                                <td>PDD:</td>
                                <td><input type="text" id="IdSubElement5" value="0" size="10"/></td>
                                <td>CARE:</td>
                                <td><input type="text" id="IdSubElementCARE" value="0" size="10"/></td>
                            </tr>
                        </table>
                    </fieldset>
                </div>

                <% /* B01 */ %>
                            
                <table style="width: 100%;">
                    <tr>
                        <td style="width: 20%;">

                            <table id="jqgCON"></table>
                            <div id="PaginadorCON" ></div>

                        </td>
                        <td style="width: 80%;">

                            <fieldset>
                                <legend><b><%=L.LBL("LblGENDatos") %>: <span id="TitSubElement"></span></b></legend>

                                <table style="width: 100%;">
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblGENCode") %>:
	                                    </td>
                                        <td>
		                                    <%=L.LBL("LblGENDescription") %>:
	                                    </td>
                                        <td>
		                                    <%=L.LBL("LblFDKSEXNacionalidad") %>:
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <input type="text" id="txtcontrato" name="txtcontrato" value="" size="20"/>
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtdesc_cont" name="txtdesc_cont" value="" size="40"/>
	                                    </td>
	                                    <td>
		                                    <%=cbNacionalidades %>
	                                    </td>
                                    </tr>
                                </table>
                                <table>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblGENCompany") %>:
	                                    </td>
	                                    <td>
		                                    <%=L.LBL("LblFDKSMercado") %>:
	                                    </td>
	                                    <td>
		                                    <%=L.LBL("LblFDKSDescuento") %>:
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=cbEmpresas %>
	                                    </td>
	                                    <td>
		                                    <%=cbMercados %>
	                                    </td>
	                                    <td>
		                                    <%=cbDescuentos %>
	                                    </td>
                                    </tr>
                                </table>
                                <table>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblFDKSTemporada") %>:
	                                    </td>
	                                    <td>
		                                    <%=L.LBL("LblGENMoney") %>:
	                                    </td>
	                                    <td>
		                                    <%=L.LBL("LblFDKSTasaFija") %>:
	                                    </td>
	                                    <td>
		                                    <%=L.LBL("LblFDKSPrepago") %>
	                                    </td>
	                                    <td>
		                                    <%=L.LBL("LblFDKSCambioSabAbbr") %>:
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=cbTemporadas %>
	                                    </td>
	                                    <td>
		                                    <%=cbMonedas %>
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txttasa_fija" name="txttasa_fija" value="0" size="15" style="text-align: right;" />
	                                    </td>
	                                    <td>
		                                    <input type="checkbox" id="cbdega_oblig" name="cbdega_oblig" value="1" />
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtfrec_sabana" name="txtfrec_sabana" value="1" size="5" />
	                                    </td>
                                    </tr>
                                </table>
                                <table>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblGENAccount") %>:
	                                    </td>
	                                    <td>
		                                    <%=L.LBL("LblMaximoDiasAbbr") %>:
	                                    </td>
	                                    <td>
		                                    <%=L.LBL("LblSaldoMaximo") %>:
	                                    </td>
	                                    <td></td>
	                                    <td></td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <select name="cbCuenta" id="cbCuenta" onchange="" style="width: 150px;">
                                                <option value="0">-</option>
                                                <%
                                                    foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                                    {
                                                        Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                                    }
                                                %>
                                            </select>
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtmax_dias" name="txtmax_dias" value="0" size="5" />
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtmax_saldo" name="txtmax_saldo" value="0" size="10" style="text-align: right;" />
	                                    </td>
	                                    <td>
                                            <button type="button" id="btnFECardex" onclick="$('#IdSubElementPERFil').val($('#IdSubElementCARE').val());RefreshGridPER();$('#dlgFiltroPER').dialog('open');">
                                                <table style="padding: 0px;">
                                                    <tr>
                                                        <td>
                                                            <img id="imgKardex01" src="img/Seven/Kardex.png" alt="<%=L.LBL("LblFDKPerfil") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
	                                    <td>
		                                    <button type="button" id="btnObservaciones" onclick="$('#dlgObservaciones').dialog('open');">
                                                <table style="border-collapse: collapse;"><tr><td><img src="img/magnifier.png" alt="<%=L.LBL("LblGENObservations") %>" /></td><td><%=L.LBL("LblGENObservations") %></td></tr></table>
                                            </button>
	                                    </td>
                                    </tr>
                                </table>
                                <table>
                                    <tr>
                                        <td>
		                                    <input type="checkbox" id="cbTempActivas" name="cbTempActivas" value="1" checked="checked"
                                                onchange="RefreshGridCR();RefreshGridPAD();RefreshGridPDD();" />
	                                    </td>
                                        <td>
		                                    <b><%=L.LBL("LblFDKSMostrarTemporadasAct") %></b>
	                                    </td>
                                        <td><%=L.LBL("LblFDKSPlantilla") %>:</td>
                                        <td>
                                            <%=cbPlantillas %>
                                        </td>
	                                    <td>
		                                    <%=L.LBL("LblFDKSContratoCPL") %>:
	                                    </td>
	                                    <td>
		                                    <input type="checkbox" id="cbTipoContrato" name="cbTipoContrato" value="1" />
	                                    </td>
                                    </tr>
                                </table>

                                <% /* B02 */ %>

                                <div id="TarifasTabs" style="padding: 0px;">
                                    <ul>
                                        <li>
                                            <a href="#Agencias">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/building.png" /></td>
                                                        <td><span id="PrecAgen" style="font-size: 7pt;"><%=Seven.Front.Settings.L.LBL("LblFDKSPreciosAgencias") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#Directos">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/door-open-in.png" /></td>
                                                        <td><span id="PrecDir" style="font-size: 7pt;"><%=Seven.Front.Settings.L.LBL("LblFDKSPreciosCuposDir") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#Release">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/clock--arrow.png" /></td>
                                                        <td><span id="Rel" style="font-size: 7pt;"><%=Seven.Front.Settings.L.LBL("LblFDKSRelease") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#Impuestos">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/Seven/Impuestos.png" /></td>
                                                        <td><span id="Imp" style="font-size: 7pt;"><%=Seven.Front.Settings.L.TIT("Impuestos") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                    </ul>

                                    <div id="Agencias">

                                        <% /* B03 */ %>

                                        <table style="width: 100%; text-align: center;">
                                            <tr>
                                                <td style="width: 50%;"></td>
                                                <td>
                                                    <b>&nbsp;</b>

                                                    <table id="jqgPA"></table>
                                                    <div id="PaginadorPA" ></div>

                                                </td>
                                                <td style="text-align: left;">
                                                    <input type="hidden" id="FirstLoad3" value="0" />
                                                    
                                                    <b><%=L.LBL("LblFDKSPrecios") %>: <span id="TitSubElement3"></span></b>

                                                    <table id="jqgPAD"></table>
                                                </td>
                                                <td style="width: 50%;"></td>
                                            </tr>
                                            <tr>
                                                <td colspan="4">
                                                    <table width="100%">
                                                        <tr>
                                                            <td colspan="4">
                                                                <table width="100%">
                                                                    <tr>
                                                                        <td>
                                                                            <button type="button" id="btnNuevoPA" onclick="CreatePA();">
                                                                                <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnEliminarPA" onclick="DeletePA();">
                                                                                <table><tr><td><img id="btnEliminarIconPA" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnGuardarPA" onclick="SavePA();">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td>
                                                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnCancelarPA" onclick="CancelPA();">
                                                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnGenerarPA" onclick="Generar();">
                                                                                <table id="tblBtnGenerarPA">
                                                                                    <tr><td>
                                                                                    <img src="img/wand-magic.png" 
                                                                                     alt="<%=L.LBL("LblFDKSGenerarUsos") %>" />
                                                                                    </td></tr>
                                                                                </table>
                                                                            </button>
                                                                        </td>
                                                                        <td width="100%"></td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>

                                    </div>

                                    <div id="Directos">

                                        <% /* B04 */ %>

                                        <table style="width: 100%; text-align: center;">
                                            <tr>
                                                <td style="width: 50%;"></td>
                                                <td>
                                                    <b>&nbsp;</b>

                                                    <table id="jqgPD"></table>
                                                    <div id="PaginadorPD" ></div>

                                                </td>
                                                <td style="text-align: left;">
                                                    <input type="hidden" id="FirstLoad4" value="0" />
                                                    
                                                    <b><%=L.LBL("LblFDKSPrecios") %>: <span id="TitSubElement4"></span></b>

                                                    <table id="jqgPDD"></table>
                                                </td>
                                                <td style="width: 50%;"></td>
                                            </tr>
                                            <tr>
                                                <td colspan="4">

                                                    <table>
                                                        <tr>
                                                            <td colspan="4">
                                                                <table width="100%">
                                                                    <tr>
                                                                        <td width="100%"></td>
                                                                        <td>
                                                                            <button type="button" id="btnNuevoPD" onclick="CreatePD();">
                                                                                <table>
						                                                            <tr>
							                                                            <td>
								                                                            <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
							                                                            </td>
						                                                            </tr>
                                                                                </table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnEliminarPD" onclick="DeletePD();">
                                                                                <table>
						                                                            <tr>
							                                                            <td>
								                                                            <img id="btnEliminarIconPD" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
							                                                            </td>
						                                                            </tr>
                                                                                </table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnGuardarPD" onclick="SavePD();">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td>
                                                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnCancelarPD" onclick="CancelPD();">
                                                                                    <table>
                                                                                        <tr>
							                                                            <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                                                    </tr>
                                                                                </table>
                                                                        </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnGenerarPD" onclick="Generar();">
                                                                                <table id="tblBtnGenerarPD">
                                                                                    <tr><td>
                                                                                    <img src="img/wand-magic.png" 
                                                                                     alt="<%=L.LBL("LblFDKSGenerarUsos") %>" />
                                                                                    </td></tr>
                                                                                </table>
                                                                            </button>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>

                                                </td>
                                            </tr>
                                        </table>

                                    </div>

                                    <div id="Release">

                                        <% /* B05 */ %>

                                        <table style="width: 100%; text-align: center;">
                                            <tr>
                                                <td style="width: 50%;"></td>
                                                <td>
                                                    <table id="jqgCR"></table>
                                                    <div id="PaginadorCR" ></div>

                                                    <table width="100%">
                                                        <tr>
                                                            <td colspan="4">
                                                                <table width="100%">
                                                                    <tr>
                                                                        <td width="100%"></td>
                                                                        <%--<td>
                                                                            <button type="button" id="btnNuevoCR" onclick="CreateCR();">
                                                                                <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>--%>
                                                                        <%--<td>
                                                                            <button type="button" id="btnEliminarCR" onclick="DeleteCR();">
                                                                                <table><tr><td><img id="btnEliminarIconCR" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>--%>
                                                                        <td>
                                                                            <button type="button" id="btnGuardarCR" onclick="SaveCR();">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td>
                                                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnCancelarCR" onclick="CancelCR();">
                                                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td style="width: 50%;"></td>
                                            </tr>
                                        </table>

                                    </div>

                                    <div id="Impuestos">

                                        <% /* B06 */ %>

                                        <table style="width: 100%; text-align: center;">
                                            <tr>
                                                <td style="width: 50%;"></td>
                                                <td>
                                                    <table id="jqgCI"></table>
                                                    <div id="PaginadorCI" ></div>

                                                    <table width="100%">
                                                        <tr>
                                                            <td colspan="4">
                                                                <table width="100%">
                                                                    <tr>
                                                                        <td width="100%"></td>
                                                                        <td>
                                                                            <button type="button" id="btnNuevoCI" onclick="CreateCI();">
                                                                                <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnEliminarCI" onclick="DeleteCI();">
                                                                                <table><tr><td><img id="btnEliminarIconCI" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnGuardarCI" onclick="SaveCI();">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td>
                                                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnCancelarCI" onclick="CancelCI();">
                                                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td style="width: 50%;"></td>
                                            </tr>
                                        </table>

                                    </div>
                                </div>

                            </fieldset>

                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" id="bsdataCON" value="Search" onclick="$('#dlgBuscar').dialog('open');" >
                                                        <table>
                                                        <tr><td>
                                                        <img src="img/binocular.png" 
                                                         alt="<%=L.LBL("LblGENSearch") %>" />
                                                        </td></tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnNuevoCON" onclick="CreateCON();">
                                                        <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnEliminarCON" onclick="DeleteCON();">
                                                        <table><tr><td><img id="btnEliminarIconCON" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnGuardarCON" onclick="SaveCON();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelarCON" onclick="CancelCON();">
                                                            <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnDuplicar" onclick="$('#cbContrato').val($('#IdSubElement').val());$('#dlgDuplicar').dialog('open');">
                                                            <table><tr><td><img src="img/seven_duplicar.png" alt="<%=L.LBL("LblGENDuplicar") %>" /></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCambiarTasa" onclick="$('#dlgCambiarTasa').dialog('open');">
                                                            <table><tr><td><img src="img/Seven/Monedas.png" alt="<%=L.LBL("ConProdMoneys") %>" /></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnActualizar" onclick="ActualizarContratos();">
                                                        <table>
                                                            <tr><td>
                                                            <img src="img/arrow-retweet.png" 
                                                                alt="<%=L.LBL("LblGENActualizar") %>" />
                                                            </td></tr>
                                                        </table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

