﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="TipoCobros.aspx.cs" Inherits="Seven.Front.Settings.TipoCobros" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("TipoCobros") %> [4.2]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        var HeaderTableTC = <%=L.LBL("LblFDKSTipoCobros") %>;

        <% /* Código del jqGrid para Tipos de Cobro */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetTC() {
            $.ajax({
                url: 'Servicio.svc/GetTipoCobros',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgTC").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgTC")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgTC").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutTC(id, cod_tcob, desc_tcob, id_mone, id_fpag, detallado, val_tarj, comision, id_cuenta, id_cuenta_tip, id_termid, TipoCxc, eliminado) {
            $.ajax({
                url: 'Servicio.svc/PutTipoCobros',
                data: { "id_tcob": id, "cod_tcob": cod_tcob, "desc_tcob": desc_tcob, "id_mone": id_mone
                , "id_fpag": id_fpag, "detallado": detallado, "val_tarj": $('#txtDigitosTC').val()
                , "comision": $('#txtComision').val(), "id_cuenta": $('#cbCuenta').val()
                , "id_cuenta_tip": $('#cbCuentaProp').val(), "id_termid": $('#cbTerminalTC').val()
                , "TipoCxc": TipoCxc, "eliminado": eliminado
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(id > 0 || id < 0){
                            BotonDefaultTC();
                            RefreshGridTC();
                        }
                        else
                        {
                            $('#IdSubElement').val(res);
                            BotonDefaultTC();
                            RefreshGridTC();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelTC(id) {
            $.ajax({
                url: 'Servicio.svc/DelTipoCobros',
                data: { "id_tcob": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement').val(0);
                        $('#TitSubElement').html('');

                        BotonDefaultTC();
                        RefreshGridTC();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridTC() {
        
            var lselTC;
            var colMap = {};
            $("#jqgTC").jqGrid({
                datatype: GetTC,
                height: 255,
                width: 700,
                colNames:  HeaderTableTC,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'cod_tcob', index: 'cod_tcob', width: 15, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'desc_tcob', index: 'desc_tcob', width: 35, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'id_mone', index: 'id_mone', width: 15, editable: true,
                                formatter:'select', stype:'select', edittype:'select', 
                                editoptions: {<%=cbMoneda %>}, 
                                searchoptions: {<%=cbMoneda %>} }, 
                            { name: 'id_fpag', index: 'id_fpag', width: 15, editable: true,
                                formatter:'select', stype:'select', edittype:'select', 
                                editoptions: {<%=cbFormaPagos %>}, 
                                searchoptions: {<%=cbFormaPagos %>} },  
                            { name: 'detallado', index: 'detallado', width: 10, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'val_tarj', index: 'val_tarj', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'comision', index: 'comision', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'id_cuenta', index: 'id_cuenta', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'id_cuenta_tip', index: 'id_cuenta_tip', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'id_termid', index: 'id_termid', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'TipoCxc', index: 'TipoCxc', width: 10, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'Eli', index: 'Eli', width: 10, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselTC) && !isNaN(id))
                        {
                            $("#jqgTC").jqGrid('delRowData', lselTC);
                            //$('#jqgTC').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgTC').jqGrid('restoreRow', lselTC);

                            var ret = jQuery("#jqgTC").jqGrid('getRowData',id); 

                            var SubElement = ret.cod_tcob + " - " + ret.desc_tcob;
                            $('#IdSubElement').val(id);
                            $('#TitSubElement').html(SubElement);

                            $('#txtDigitosTC').val(ret.val_tarj);
                            $('#txtComision').val(ret.comision);
                            $('#cbTerminalTC').val(ret.id_termid);
                            $('#cbCuenta').val(ret.id_cuenta);
                            $('#cbCuentaProp').val(ret.id_cuenta_tip);

                            BotonSelectTC();
                        }
                        else {
                            BotonNuevoTC();
                        }

                        $('#jqgTC').jqGrid('editRow', id, true, EventsTC);
                       
                        lselTC=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselTC))
                        {
                            $("#jqgTC").jqGrid('delRowData', lselTC);
                            $('#jqgTC').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgTC').jqGrid('saveRow',lselTC);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if (!isNaN(id)) {
                            $('#jqgTC').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgTC").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextTC').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconTC').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextTC').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconTC').attr("src", "img/cross-script.png");
                        }

                        var fp = parseInt(ret.id_fpag);
                        if(fp == 1)
                        {
                            $('#txtComision').prop('disabled', false);
                        }
                        else
                        {
                            $('#txtComision').prop('disabled', true);
                        }
                        if(fp == 3)
                        {
                            $('#txtDigitosTC').prop('disabled', false);
                        }
                        else
                        {
                            $('#txtDigitosTC').prop('disabled', true);
                        }

                        $('#jqgTC').jqGrid('setSelection', id); 

                        BotonSelectTC();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgTC").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#jqgTC").getCell(rows[i], "Id"));
                        }

                        var status  = $("#jqgTC").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgTC").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgTC').jqGrid('setSelection', $('#IdSubElement').val());
                    if(parseInt($('#IdSubElement').val()) != 0)
                    {
                        BotonSelect();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorTC',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataTC").click(function(){ 
                jQuery("#jqgTC").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function InitializeComponentsTC()
        {
            $("#txtDigitosTC").on('input', function () 
            { 
                var id = $("#jqgTC").jqGrid('getGridParam','selrow');
	            if (id)	{
                    BotonGuardarTC(); 
                }
            });
            $("#txtComision").on('input', function () 
            { 
                var id = $("#jqgTC").jqGrid('getGridParam','selrow');
	            if (id)	{
                    BotonGuardarTC(); 
                }
            });
            $("#cbTerminalTC").on('change', function () 
            { 
                var id = $("#jqgTC").jqGrid('getGridParam','selrow');
	            if (id)	{
                    BotonGuardarTC(); 
                }
            });
            $("#cbCuenta").on('change', function () 
            { 
                var id = $("#jqgTC").jqGrid('getGridParam','selrow');
	            if (id)	{
                    BotonGuardarTC(); 
                }
            });
            $("#cbCuentaProp").on('change', function ()
            { 
                var id = $("#jqgTC").jqGrid('getGridParam','selrow');
	            if (id)	{
                    BotonGuardarTC(); 
                }
            });
        }

        function EventsTC(id) {
            $("#" + id + "_cod_tcob").on('input', function () { BotonGuardarTC(); });
            $("#" + id + "_desc_tcob").on('input', function () { BotonGuardarTC(); });
            $("#" + id + "_id_mone").on('change', function () { BotonGuardarTC(); });
            $("#" + id + "_id_fpag").on('change', function () 
            { 
                BotonGuardarTC(); 
                var fp = parseInt($("#" + id + "_id_fpag").val());
                if(fp == 1)
                {
                    $('#txtComision').prop('disabled', false);
                }
                else
                {
                    $('#txtComision').prop('disabled', true);
                }
                if(fp == 3)
                {
                    $('#txtDigitosTC').prop('disabled', false);
                }
                else
                {
                    $('#txtDigitosTC').prop('disabled', true);
                }
            });
            $("#" + id + "_detallado").on('change', function () { BotonGuardarTC(); });
            $("#" + id + "_val_tarj").on('input', function () { BotonGuardarTC(); });
            $("#" + id + "_comision").on('input', function () { BotonGuardarTC(); });
            $("#" + id + "_id_cuenta").on('change', function () { BotonGuardarTC(); });
            $("#" + id + "_id_cuenta_tip").on('change', function () { BotonGuardarTC(); });
            $("#" + id + "_id_termid").on('change', function () { BotonGuardarTC(); });
            $("#" + id + "_TipoCxc").on('change', function () { BotonGuardarTC(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarTC(); });
        }

        function EventsNewTC() {
            var selr = jQuery('#jqgTC').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_cod_tcob").on('input', function () { BotonGuardarTC(); });
            $("#" + selr + "_desc_tcob").on('input', function () { BotonGuardarTC(); });
            $("#" + selr + "_id_mone").on('change', function () { BotonGuardarTC(); });
            $("#" + selr + "_id_fpag").on('change', function () 
            { 
                BotonGuardarTC(); 
                var fp = parseInt($("#" + selr + "_id_fpag").val());
                if(fp == 1)
                {
                    $('#txtComision').prop('disabled', false);
                }
                else
                {
                    $('#txtComision').prop('disabled', true);
                }
                if(fp == 3)
                {
                    $('#txtDigitosTC').prop('disabled', false);
                }
                else
                {
                    $('#txtDigitosTC').prop('disabled', true);
                } 
            });
            $("#" + selr + "_detallado").on('change', function () { BotonGuardarTC(); });
            $("#" + selr + "_val_tarj").on('input', function () { BotonGuardarTC(); });
            $("#" + selr + "_comision").on('input', function () { BotonGuardarTC(); });
            $("#" + selr + "_id_cuenta").on('change', function () { BotonGuardarTC(); });
            $("#" + selr + "_id_cuenta_tip").on('change', function () { BotonGuardarTC(); });
            $("#" + selr + "_id_termid").on('change', function () { BotonGuardarTC(); });
            $("#" + selr + "_TipoCxc").on('change', function () { BotonGuardarTC(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarTC(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridTC()
        {
            $("#jqgTC").jqGrid("setGridParam", {datatype: "json", datatype: GetTC, loadonce: true});
            $("#jqgTC").trigger("reloadGrid"); 
            $("#jqgTC").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateTC()
        {
            $('#IdSubElement').val(0);
            $('#TitSubElement').html('');

            $("#jqgTC").jqGrid('addRow',{
                initdata : {'Id': '0', 'id_fpag': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoTC();
            EventsNewTC();
            $('#txtDigitosTC').prop('disabled', true);
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveTC(){
	        var id = $("#jqgTC").jqGrid('getGridParam','selrow');
	        if (id)	{
	            PutTC(id, $('#' + id + '_cod_tcob').val(), $('#' + id + '_desc_tcob').val(), $('#' + id + '_id_mone').val()
                    , $('#' + id + '_id_fpag').val(), $('#' + id + '_detallado:checked').val(), $('#' + id + '_val_tarj').val()
                    , $('#' + id + '_comision').val(), $('#' + id + '_id_cuenta').val(), $('#' + id + '_id_cuenta_tip').val()
                    , $('#' + id + '_id_termid').val(), $('#' + id + '_TipoCxc:checked').val(), $('#' + id + '_eliminado').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteTC(){
	        var id = $("#jqgTC").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgTC").jqGrid('getRowData',id);
                DelTC(id);
                RefreshGridTC();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelTC(){
	        var id = $("#jqgTC").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#jqgTC').restoreRow(id);

                $('#IdSubElement').val(0);
                $('#TitSubElement').html('');

                $('#txtDigitosTC').val('');
                $('#txtComision').val(<%=String.Format("{0:N2}", 0) %>);
                $('#cbTerminalTC').val(0);
                $('#cbCuenta').val(0);
                $('#cbCuentaProp').val(0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultTC();
        }

        function BotonDefaultTC() {
            $('#btnNuevoTC').button('enable');
            $('#btnEliminarTC').button('disable');
            $('#btnGuardarTC').button('disable');
            $('#btnCancelarTC').button('disable');
        }

        function BotonNuevoTC() {
            $('#btnNuevoTC').button('disable');
            $('#btnEliminarTC').button('disable');
            $('#btnGuardarTC').button('disable');
            $('#btnCancelarTC').button('enable');
        }

        function BotonSelectTC() {
            $('#btnNuevoTC').button('enable');
            var id = $("#jqgTC").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarTC').button('enable');
            }
            else {
                $('#btnEliminarTC').button('disable');
            }
            $('#btnGuardarTC').button('disable');
            $('#btnCancelarTC').button('disable');
        }

        function BotonGuardarTC() {
            $('#btnNuevoTC').button('disable');
            $('#btnEliminarTC').button('disable');
            $('#btnGuardarTC').button('enable');
            $('#btnCancelarTC').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=402&e=' + $('#cbEliminado:checked').val(), '_blank');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridTC();

            InitializeComponentsTC();

            BotonDefaultTC();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="TipoCobros.aspx"><%=L.TIT("TipoCobros") %> [4.2]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("TipoCobros") %> [4.2]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultTC();RefreshGridTC();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/4-2-tipos-de-cobro/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <table id="jqgTC"></table>
                <div id="PaginadorTC" ></div>
                <br />
                <fieldset>
                    <input type="hidden" id="IdSubElement" value="0" />
                    <legend><b><span id="TitSubElement"></span></b></legend>
                    <table style="width: 70%;">
                        <tr>
                            <td style="width: 150px;"><%=L.LBL("LblFDKSDigitosTC") %></td>
                            <td>
                                <input type="text" id="txtDigitosTC" value="" size="10" />
                            </td>
                            <td><%=L.LBL("LblGENCommission")%></td>
                            <td>
                                <input type="text" id="txtComision" value="<%=String.Format("{0:N2}", 0) %>" size="5" style="text-align: right;"/>
                            </td>
                        </tr>
                    </table>
                    <table style="width: 80%;">
                        <tr>
                            <td style="width: 150px;"><%=L.LBL("LblFDKSTerminalTC")%></td>
                            <td><%=cbTerminales %></td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblGENAccount")%></td>
                            <td>
                                <select name="cbCuenta" id="cbCuenta" onchange="" style="width: 360px;">
                                    <%
                                        foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                        {
                                            Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                        }
                                    %>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblFDKSCuentaProp")%></td>
                            <td>
                                <select name="cbCuentaProp" id="cbCuentaProp" onchange="" style="width: 360px;">
                                    <%
                                        foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                        {
                                            Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                        }
                                    %>
                                </select>
                            </td>
                        </tr>
                    </table>
                </fieldset>

                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="bsdataTC" value="Search" >
                                            <table>
                                            <tr><td>
                                            <img src="img/binocular.png" 
                                             alt="<%=L.LBL("LblGENSearch") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENSearch") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoTC" onclick="CreateTC();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarTC" onclick="DeleteTC();">
                                            <table><tr><td><img id="btnEliminarIconTC" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarTextTC"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarTC" onclick="SaveTC();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarTC" onclick="CancelTC();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

